Release Notes for Ubuntu

[lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured wireless networks

Reported by Matt Drake on 2009-12-13
This bug affects 219 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Lucid
High
Unassigned
linux-backports-modules-2.6.32 (Ubuntu)
Undecided
Unassigned
Lucid
High
Unassigned

Bug Description

SRU Justification for Lucid for linux-backports-modules-2.6.32:

The change adds a new version of the rt2860sta and rt2870sta drivers to the linux-backports-modules-wireless package. The drivers did not exist before, so there is no regression potential due to them. If the drivers fail to work properly, the user can just remove the package and use the stock drivers.

Note: To get the backported driver:
# aptitude install linux-backports-modules-wireless-lucid-generic

=====

The rt2860sta module, included with Ubuntu Lucid Lynx (10.04) cannot connect to mixed WPA/WPA2 networks.
This driver is used in most EeePCs.
This issue is fixed in the 2.6.33 kernel, unfortunately this kernel is not yet available in Lucid.

Symptoms are: connection works once but disconnects rapidly and then gets stuck in a connect/ask password cycle, or cannot connect at all.

There are two known fixes at the moment:
[1]: Ricardo Salveti maintains a 2.6.32 kernel with the fix backported (See comment #80)
[2]: Installing the official drivers from RaLink also solves the issue for some. (See comment #107).

To check if your wireless chipset is indeed the RaLink chipset that is affected by this driver, execute the "lspci -vnn | grep RaLink" command.
It should display something close to the following:

$ lspci -vnn | grep RaLink
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
 Subsystem: RaLink Device [1814:2790]

Matt Drake (mattduckman) wrote :

I can confirm that. I have booted a fresh daily lucid 64 bit via grub2 loopback every few days for the last week or so and have never been able to connect to the WEP ad hoc network that I use every day with karmic (I have to use WEP because I can not get WPA to work with that ad hoc network under karmic).

module rt2860sta

Changed in linux (Ubuntu):
status: New → Confirmed

Just checked again with lucid 20091218. Bug is still present.

I can confirm the same problem with the rt 2561s. WEP or WPA does not work, unencrypted networks do. All worked fine in Karmic.

It seems to be due to this bug: http://bugzilla.kernel.org/show_bug.cgi?id=14731
I linked it to this bug report.

As a temporary fix:

sudo iwconfig wlan0 power off

Made it work again for me.

There is a patch in development at: http://patchwork.kernel.org/patch/65154

Changed in linux:
status: Unknown → Confirmed

Thank you Wouter for all the info.

For my rt2860sta your workaround unfortunately does not work. I get ..."Operation not supported"

CSkau (clementskau-gmail) wrote :

I too can confirm this bug on my EEE PC with ra2860sta using a fully updated xubuntu lucid.
' sudo iwconfig wlan0 power off ' doesn't seem to work for the RT2860 as Kufner reports.

I remember having the same symptoms in the early days of Jaunty (or was it Intrepid?), but the problems were resolved and my system has been working flawless since.
Could a possible solution be found in the earlier releases ?

Changed in linux:
status: Confirmed → Invalid
Changed in linux:
status: Invalid → Unknown
Matt Drake (mattduckman) wrote :

wouter, you are using a different driver and experiencing a different bug. i've changed the bug watch to link to the correct bug upstream

the last commenter on that bug provided:
"This seems only to happen with Wireless Encrypten of Mixed WPA/WPA2

WPA or WPA-2 only or other encryptions and unencrypted seems to work fine"

It might be a different problem, but the patch provided in http://bugzilla.kernel.org/show_bug.cgi?id=14896 is for both the rt61 nd the rt2800 driver and suggests both suffer from the same problem.

Matt Drake (mattduckman) wrote :

but according to modinfo, rt2860sta doesn't depend on any other modules. so changes in rt2800lib and rt61pci shouldn't affect people using rt2860sta

Changed in linux:
status: Unknown → Confirmed
tags: added: cherry-pick

Sorry for the confusion, I opened bug 503563 for my problem. Please ignore my previous comments here.

Fixed with linux 2.6.31-18.55. I have booted todays daily lucid 64 bit iso 20100109 via grub2 loopback. The wireless connection with rt2860sta WEP worked immediately and reliably (I was online for 60 minutes). For further testing I disconnected and reconnected 5 times. Worked every time.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
CSkau (clementskau-gmail) wrote :

Doesn't the repository still point to the 2.6.32-9.9 kernel?
The problem seems to be with the 2.6.32 branch not the 2.6.31 which I've been using for ages on my Karmic system without any indications of the above problem.

Ooops. You are right, of course.
Todays lucid iso has:
ubuntu@ubuntu:~$ uname -a
Linux ubuntu 2.6.32-9-generic #13-Ubuntu SMP Thu Dec 17 17:01:59 UTC 2009 x86_64 GNU/Linux
So the fixed with statement from my previous post is wrong.
Which raises the quesetion, why does it work now?

CSkau (clementskau-gmail) wrote :

Perhaps, as the original post describes, it was just a fluke?
I noticed some days ago that I was able to connect to my WPA2 network, but after a short while of surfing I lost the connection again, and it wouldn't re-connect no matter how many times I tried.
I would say the bug doesn't completely break rt2860sta - it just makes it highly unstable with the rare occurrence of a functional run.

Kufner, perhaps you could report whether functionality persists even after reboots?

I've just updated my lucid (through chroot from karmic) so I'll give it a try and report back if anything has changed for the better.

I have given the daily lucid 64 bit iso 20100109 some more testing via grub2 loopback. The wireless connection with rt2860sta WEP worked immediately and reliably. Specifically I did:
disconnect and reconnect 9 times
shutdown and reboot 2 times
sleep and resume 2 times
there was 1 involuntary disconnect with immediate automatic reconnect
total time connected now something like 5 hours

I have now used the WLAN (WEP rt2860sta) on lucid 20100110 iso for the whole day without problems. It seems safe to say that this combination works now.
However WPA & WPA2 remains to be tested. It might still not work.

Changed in linux (Ubuntu):
status: Fix Released → Incomplete

Just had the opportunity to try connecting to a WLAN hub (infrastructure mode) with lucid 20100113 64bit desktop iso (loopback from hd via grub2). Connected immediately and always (tried 4 disconnect/reconnect cycles and one extra shutdown/reboot cycle) and stayed connected. Connection information from network manager says: "Security: WPA/WPA2" "Speed: 54 Mb/s" and the mode is called "WPA & WPA2 Personal" in "Edit Connections...".
2 other notebooks where also connected to the same hub with the same mode.

Matt Drake (mattduckman) wrote :

to experience this bug you have to setup your router for both WPA and WPA2 security.

when I have my router on WPA2 only, i can always connect
when I have my router on WPA/WPA2, i can rarely connect

Indeed. Confirmed with lucid alpha-2 iso loopback booted from hd. Could not connect to the wireless router set to:
WPA-PSK Encryption: TKIP+AES
WPA-PSK Version: WPA+WPA2
three times out of three.

During my tests documented in comment #20 this router was set to WPA-PSK Version: WPA.

The network manager's connection information tab says "Security: WPA/WPA2" in both modes, so one really has to look at the router to see what it is set to in detail.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
summary: - [lucid] rt2860 frequently fails to connect to secured wireless networks
+ [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2
+ secured wireless networks
killerbee (eth) wrote :

did an upgrade yesterday "update-manager -d"

and have the same issue:

I have to AP, one with WPA2 only the other one with WPA2 AND WPA enabled.

I am running eeePC witgh Rt2860 and am stuck as the main AP with WPA and WPA2 enabled is rather old and dont laugh i forgot how to admin it :O( the WPA2 only AP is in the basement and hardly reachable.....

The dkms workaround also doesnt work as the compilation fails with kernel 2.6.32 ....

Please provide fix or workaround....

CSkau (clementskau-gmail) wrote :

This bug is still present in the 2010-01-24 daily live of Xubuntu.
I installed and got the same result as earlier.
This time however I tried to compile the rt2860 driver directly from Ralink. The original source release does not compile because of an error, but with a source patch back from Ubuntu 9.10 (I can probably find the link again if needed) I managed to compile anyway.
The self-compiled driver did however not help at all - in fact it seemed to make everything worse since the driver wouldn't load and function with network manager.
The way I ended up fixing it in the end was by simply installing the old 2.6.31-18 kernel from the archive - now everything works perfectly.
This is clearly (imho) a bug in the kernel, so I'm thinking it should be fairly simple to revert whatever kernel patch is causing this..

killerbee (eth) wrote :

Hi,

just downloaded the v2.3 version of the driver BRANDNEW :O)

It still has the same issue.

To resolve you need to modify ./os/linux/config.mk. Set:

    HAS_WPA_SUPPLICANT=y
    ...
    HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y

and change the line in ./common/cmm_wpa.c from MIX_CYPHER_NOTUSE to:

    WPA_MIX_PAIR_CYPHER FlexibleCipher = WPA_TKIPAES_WPA2_TKIPAES

sudo make
sudo make install
sudo ifconfig ra0 down
sudo rmmod rt2860sta
(maybe for safety also rename the ko file from /lib/modules/2.6.*/kernel/drivers/staging/rt2860 into .ko.dist to be sure its not used anymore)
sudo depmod -a (?? not sure if really needed but better to be sure :O)
sudo modeprobe rt2860sta
sudo ifconfig ra0 up

See it connect :O)

This is really a Choke, IF THERE IS SOMEONE FROM RALINK LISTENING, PLEASE GET THESE TWO LINES INTO THE NEXT HOTPACTH / MIONOR RELEASE !

Changed in linux (Ubuntu):
assignee: nobody → Chase Douglas (chasedouglas)
Chase Douglas (chasedouglas) wrote :

@killerbee,

The FlexibleCipher change is already in the ubuntu kernel, and the WPA_SUPPLICANT config defines do not have any effect in the build of the driver. My guess is that the fix is due to the updated version of the driver from ralink.

Chase Douglas (chasedouglas) wrote :

I've looked at the upstream sources (including -next), and I haven't seen anything that appears to fix the issue. At this point, we're likely just waiting for the fix to be merged from the ralink sources into upstream.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
assignee: Chase Douglas (chasedouglas) → nobody
Surbhi Palande (csurbhi) on 2010-02-05
Changed in linux (Ubuntu):
importance: Undecided → Medium
Bernhard (b.a.koenig) wrote :

If you want to set importance for this bug, it should definitely be "high" or "critical". I need around 20 tries to connect after startup, then stable for as long as I like. Also seems to me that this bug was imported in the 2.6.32 kernel. And contrary to other users I have this problem even though my router is clearly set to "WPA2 only".

meijer.o (meijer-o) wrote :

I own a eeepc 1000h. and can report the same problem when using a 2.6.32 kernel or the lucid kernel. When the networkmanager indicates wpa/wpa2, I cannot connect to the network. module: rt2860sta. I hope this can be solved

James Dupin (james.dupin) wrote :

Looks like a regression from Karmic.

This was solved since bug #339891 (at least for most people).

The only changes to do in the driver config.mk are (using the driver version from ralink because I don't know where to get the source in ubuntu repository - 2010-01-29-RT2860-Linux-STA-v2.3.0.0.tar.bz2)
HAS_WPA_SUPPLICANT=y
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y

To be noticed that under Karmic the wifi interfice was called ra0 then in Lucid it is called wlan0 until you use the above driver from ralink then the interface is renamed ra0 (not important but well...)

Bernhard (b.a.koenig) wrote :

The problem is not that it doesn't connect, the problem is that the interrupts an established connection for no good reason.

CSkau (clementskau-gmail) wrote :

Bernhard, I believe it is both.
For me I'm usually able to connect for at short some to begin with, then after only a very short while it's interrupted.
Following that I'm not able to connect at all.

Paspartout (pv-ndsmail) wrote :

Same here on my eee pc 901 with rt2860 and 10.04 beta1.
Hope you're able to fix it till the release

Bernhard (b.a.koenig) wrote :

I just tested with a Lubuntu 10.04 beta 1 live CD: that one has linux 2.6.32-16 and the latest gnome network-manager and it works without any problems. If the bug is not with the kernel nor with network-manager, what could it be? Could somebody look into this?

Walter_Wittel (wittelw) wrote :

My experience upgrading from Alpha to Beta 1 the other day was that initially on WPA2 worked but after sleep / other activities it stopped working. Seems still intermittent at least for the upgrade scenario.

I'd like to upgrade my primary partition to put more mileage on the beta but both Wi-Fi's I connect to are WPA2 :-(.

So I tested other live CDs and it turns out that all live CDs (Ubuntu,
Lubuntu) work fine for me. But once I install Ubuntu on my HD, wpa2
connections are unstable as hell. What could be the problem for this
when the live CD works fine?

Unc0nn3ct3d (netflow) wrote :

I can confirm as of today with 2.6.31-20-generic the bug is still present. I've tried with Gnome network manager and wicd and there is no problem seeing the AP but the problem is with validating the authentication. For both managers it comes back with an invalid password error when of course the password entered is correct and triple checked

[ 17.541185] rt2860sta: module is from the staging directory, the quality is unknown, you have been warned.
[ 17.544757] rt2860 0000:08:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 17.545009] rt2860 0000:08:00.0: setting latency timer to 64

Bernhard (b.a.koenig) wrote :

Is anybody having this problem with 32 bits? From all the reports I googled and the ones I see here, it seems this is mostly a problem for 64 bit people. Maybe that would be another hint.

Tom Jaster (futur3-tom) wrote :

<- 32 bit and got this problem on my eeepc 1000h

Walter_Wittel (wittelw) wrote :

Likewise 32-bit eeepc 901. I think it is the chip set / driver.

Walter_Wittel (wittelw) wrote :

Note however it has been working for a long time on karmic with 2.6.31-20-generic, so someone knows the magic

Bernhard (b.a.koenig) wrote :

If only I knew the magic, I tried using the recommended

sudo iwconfig wlan0 txpower on

but doesn't help. Every day I have to wait around 2 hours and 30 "reconnects" until it becomes stable at some point.

Andrew Chadwick (achadwick) wrote :

Can confirm this bug again for 32bit eeepc 901, Lucid current as of today (kernel 2.6.32-17-generic i686, network-manager 0.8.0ubuntu2, rt2860sta.ko 1.8.1.1) with router working in WPA/WPA2 mode.

Oddly on the first few boots into a fresh install everything worked fine. Then endless rounds of scanning -> disconnected -> scanning -> associated -> disconnected ->scanning (...) and "Association request to the driver failed" from NetworkManager.

Note: I've always had trouble with Ubuntu and this wireless module. Last working version for me was v1.7.1.1 from array.org back in the jaunty era. But prior to that, using array.org kernels and other hackwork, all has been fine. Will try WPA2-only.

Yantit (t-ehmer) wrote :

also happens @eeePC 901 w lucid beta 1 when connecting to a WPA2 Enterprise Router. Connection comes up and failes after seconds up to a few minutes. Works fine w WPA2 Personal without mixed mode.

JakubPisarczyk (jpisarczyk) wrote :

also happens on dell vostro 1320 with BCM4322 STA driver and 32bit Lucid beta1 when connecting to WPA2 Personal

Bernhard (b.a.koenig) wrote :

Some more findings of mine:

1) this bug also occurs on an intel 4965 wireless card in ubuntu standard install.
2) this bug also occurs when I use wicd in ubuntu (GNOME).
3) this bug does NOT occur in Kubuntu 10.04 beta 1 using knetworkmanager.

So I guess I'm switching to Kubuntu now. :)
But I really hope this helps the developers find the issue, maybe it's a problem in one of the GNOME wireless libs? I really don't know, but this bug might have to be filed against packages other than the kernel.

dnyaga (daniel-nyaga) wrote :

Experiencing this on a HP D530 with an Intel Pro 3945ABG wireless interface. My other Ubuntu machine has a Ralink RT2561/RT61 wireless interface and is presently working fine under Karmic on the same network. I am (foolishly) updating this to Lucid right now and will report back

For me, downloading and mannualy compiling the rt2860sta driver from the Ralink website solved the problem.

To do this, download and unpack the driver from http://www.ralinktech.com/support.php?s=2
(in my case , I've selected RT2860PCI/mPCI/CB/PCIe(RT2760/RT2790/RT2860/RT2890)

Edit the <b>os/linux/config.mk</b> file and change the following settings to 'y':

<pre>
# Support Wpa_Supplicant
HAS_WPA_SUPPLICANT=y

# Support Native WpaSupplicant for Network Maganger
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y
</pre>

Then compile it:
<pre>make</pre>

And install it:
<pre>sudo make install</pre>

Please note that these steps have to be performed every time when the kernel is upgraded.

My apologies, it seems these steps have been posted a few times before I did.

Chiming in to report on my eeepc 901 Linux I am experiencing this issue. Getting rather frustrated seeing this same issue cropping up every single Ubuntu release... Maybe someone needs to get a hold of Adam from array.org and ask him what he was doing right in his builds and then fix the problem that way?

--bornagainpenguin

Also, I tried compiling as in the instructions above and it did not seem to do anything for me.

Bernhard (b.a.koenig) wrote :

@bornagainpenguin: if the instructions don't work for you, maybe there
is some other problem in your case. I noticed that some similar
problems can occur if you have two different network managers
installed. Did you install another network manager other than GNOME
network manager?

Ricardo Salveti (rsalveti) wrote :

I also noticed this bug when I installed the latest Lucid in my eeepc 1000he.

Checking linux mainline, I saw that they updated the driver with almost 40 patches, but the main important one was the update from vendor's V2.1.0.0 driver, that could possible fix this issue.

Tested with 2.6.34-rc3 and wasn't able to reproduce the problem, so I decided to backport the driver into lucid's kernel, so I could fix it and continue using the same kernel, besides the possibility to send the fixes for lucid.

Today I built a new kernel, based on 2.6.32-19-generic, with the backported rt2860, and was also unable to reproduce the bug.

Just published the kernel at http://rsalveti.net/pub/ubuntu/kernel/lucid/

Please, if possible, give it a try and if it works for more people I'll publish the kernel tree with the backported patches, and will try to merge it to Lucid.

To install the new kernel, please install the following packages:
 * sudo dpkg -i linux-headers-2.6.32-19_2.6.32-19.28rsalveti1_all.deb
 * sudo dpkg -i linux-headers-2.6.32-19-generic_2.6.32-19.28rsalveti1_i386.deb
 * sudo dpkg -i linux-image-2.6.32-19-generic_2.6.32-19.28rsalveti1_i386.deb

Reboot and try to connect.

Claudius Henrichs (claudius-h) wrote :

@Ricardo: Thanks for your efforts, but it didn't worked on my ASUS A7N8-X board connecting to a WPA/WPA2 mixed router. The WiFi adapter is an "onboard" hardwired usb adapter labelled:
Bus 001 Device 002: ID 0b05:1742 ASUSTek Computer, Inc. 802.11n Network Adapter
As far as i understand that's a ralink rt2870 chipset.

Ricardo Salveti (rsalveti) wrote :

@Claudius: does it work when you use the latest driver provided by the vendor?

Currently the latest version available to download is v2.3.0.0 (RT2870USB(RT2870/RT2770)). The release notes doesn't say anything specific to this bug, but it'd be nice to know if it's fixed so we can work on updating the current one available upstream.

lispy (janietz) wrote :

Same problem here. It´s my moms EeeBox. I think, worst case I could just disable WPA on the Fritz! Box but still, a fix would be better...

Ursula Junque (ursinha) wrote :

I have one ASUS eeepc 1000HE, and tried rsalveti's packages on it. The eeepc is now connected for about 10 hours straight without the previous problems. I've also tested the suspending/resuming dance, and it worked pretty fine as well.
Using the default kernel with the default driver, I was facing problems of sudden disconnections and no success connecting after suspending/resuming. I necessarily needed to remove the module and bring it up again, some times several times, before being able to connect again.

I've watched the logs and seen no failures since I rebooted into this new kernel.

Ricardo Salveti (rsalveti) wrote :

@lispy: can you post your device id?

You can easily get the device ID by running "lspci -nn -vv". Please attach the output at the bug so we can match which device you're currently using.

Claudius Henrichs (claudius-h) wrote :

I've tried to install the 2.3.0.0 RT2870USB drivers from http://www.ralinktech.com/support.php?s=2 but I somehow didn't manage to get them running. Readme said "define the linux kernel source include file path LINUX_SRC" which I failed to comply with because there wasn't an according flag. And after I loaded the module with "/sbin/insmod rt2870sta.ko" and I tried to start using "/sbin/ifconfig ra0 inet xxx.xxx.xxx.xxx up" I got a "No such device" reply :(

Ricardo Salveti (rsalveti) wrote :

@Claudius: I was able to build it following the same steps you can find at comment #48.

After installing the module, just load it with "sudo modprobe rt2870sta".

After loading the driver you'll probably be able to access your wireless interface.

@Ricardo: I tried your kernel and my wireless worked all evening with it disconnecting only once. Given that one disconnect in that amount of time is what I usually experience under 9.10 then I consider this a fix for my particular hardware (Asus eeepc 901).

Thanks for your efforts

Claudius Henrichs (claudius-h) wrote :

@Ricardo: Forgot the "sudo make install" the first time. But still no luck. how do I check which driver is loaded actually? I tried "lsusb -v" but couldn't find the info there.

On my Akoya Medion E1210 netbook which reports RaLink RT2860 and lsmod rt2860sta wifi is not working at all on Lucid (no connection and iwlist wlan0 scanning reports "No scan result"), even with Ricardo kernel.

Ricardo Salveti (rsalveti) wrote :

@Claudius: after installing the module, you can check if it was loaded successfully by checking the "lsmod" output.

Also, "dmesg" should say something when loading the driver.

After loading it, try giving "ifconfig -a", see if you can see your wireless interface there.

Ricardo Salveti (rsalveti) wrote :

@Laurent: can you also post your device id?

You can easily get the device ID by running "lspci -nn -vv". Please attach the output at the bug so we can match which device you're currently using.

Ricardo Salveti (rsalveti) wrote :

Attached you can find the backported patch regarding the update of this driver.

At mainline we have many other patches, but most are cosmetic changes, to follow the kernel coding style.

This patch got into 2.6.33, and the original hash is ca97b8388838ee9ea4b4bad04948f8f7f8a607a3 .

The only thing that changed regarding my patch is that I had to include the change created by bug #441990.

Besides the patch being huge, it also updates the rt2870 as a side effect, as most of the references inside rt2870 are pointing to rt2860. We could backport just the rt2860 update, but than we would need to move the current references from rt2860 at rt2870 inside the driver's directory.

As this patch is already incorporated at mainline, I think that the work to maintain the current rt2870 codebase is not worthy.

Tested this patch with rt2860 (ID 1814:0781, from EeePC 1000HE) and wasn't able to reproduce the bug. It should worth a note that this doesn't seems to fix the issue for 2870, as the comment #54 says.

Randy (rjcayea) wrote :

I, too, have tried everything with Lucid beta 1 and Lucid beta 2 and have had no success.

SETUP:
Ubuntu 910 - 64Bit
Wireless Router: WRT160N
Wireless Card: PCI Asus PCE N13

still same prob on my eepc 1000h 32bit, lucid beta2, updated today. Can connect to my fritzbox but not to Speedport 500. With Karmic it worked.

Diogenes (thomas-arbs) wrote :

On my Netbook with RT2860 and current installation of 10.04 Beta 1 I was unable to connect to a WPA2 encrypted router, but have since had perfect results when downgrading the router encryption to WPA. The WPA2 configuration had worked with previous releases, and with parallel Windows installation.

Andrew Henderson (henchan) wrote :

Almost identical to Diogenes below. So similar that I'd speculate Diogenes just got lucky with one good connection and has not tried breaking and re-making it. At least my experience has been that a good connection holds, but subsequent attempts will all fail until after a router reset. Even this strategem does not always work. For now I have no good workaround and I am not as proficient with the compiler as earlier posters were. Hurry! the unsophisticated masses are arriving!

Jimothy (jgrpdx) wrote :
Download full text (4.3 KiB)

With the latest updates as of an hour ago, I get the following in /var/log/syslog when I try (and fail ) to connect/authenticate...

tail -f /var/log/syslog

pr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) starting connection '707363-N'
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): device state change: 3 -> 4 (reason 0)
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): device state change: 4 -> 5 (reason 0)
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0/wireless): access point '707363-N' has security, but secrets are required.
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): device state change: 5 -> 6 (reason 0)
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): device state change: 6 -> 4 (reason 0)
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): device state change: 4 -> 5 (reason 0)
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0/wireless): connection '707363-N' has security, and secrets exist. No new secrets needed.
Apr 13 09:43:55 ubuntu NetworkManager: <info> Config: added 'ssid' value '707363-N'
Apr 13 09:43:55 ubuntu NetworkManager: <info> Config: added 'scan_ssid' value '1'
Apr 13 09:43:55 ubuntu NetworkManager: <info> Config: added 'key_mgmt' value 'WPA-PSK'
Apr 13 09:43:55 ubuntu NetworkManager: <info> Config: added 'psk' value '<omitted>'
Apr 13 09:43:55 ubuntu NetworkManager: nm_setting_802_1x_get_pkcs11_engine_path: assertion `NM_IS_SETTING_802_1X (setting)' failed
Apr 13 09:43:55 ubuntu NetworkManager: nm_setting_802_1x_get_pkcs11_module_path: assertion `NM_IS_SETTING_802_1X (setting)' failed
Apr 13 09:43:55 ubuntu NetworkManager: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr 13 09:43:55 ubuntu NetworkManager: <info> Config: set interface ap_scan to 1
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): supplicant connection state: scanning -> disconnected
Apr 13 09:43:55 ubuntu NetworkManager: <info> (wlan0): supplicant connection ...

Read more...

tommyasplund (tommy-asplund) wrote :

Setting my router to only use WPA, and not WPA2 works for me.

Andrew Henderson (henchan) wrote :

I found a workaround. Using WPA on the router but probably WPA2 would be fine. Definitely NOT mixed.
It seems important that the client does not think it is reusing a previously allocated IP, which is consistent with the reported intermittent behaviour and generally OK first time connection.
I configured the router to allocate a specific IP for the client's MAC and also cleared the DHCP leasing table on the router. I set leases to expire in just 5 minutes. Having done this, the router need not be touched again. Thereafter, every time I try for a new connection from my Lucid client, I first disable networking and then re-enable it. The first time, use DHCP and get the specified IP. Then, break the connection and Edit connections. Set IPv4 to fixed IP, the same as specified on the router for that MAC.
This is all pretty convoluted, but it's the only way I could find that works consistently. Your results may vary. Good luck. I wasted a day on this.

Elton Woo (elton-woo) wrote :

Same problem displayed with both LUCID Beta 1 and Beta 2 (booted as a live CD);

Details of my hardware: Asus EEE 1000 PC netbook (currently running Ubuntu Karmic)

Sysinfo utility reports ==>
Network Controller: RaLink RT2860,
Subsystem: Ralink Device 2790
Ethernet controller: Attansic Atheros AR8121/AR8113/AR8114 PCI-E,
Subsystem: ASUStek Device 8324

[if this is of any help: router is Linksys Wireless-N Home Router WRT120N-CA Firmware Ver. 1.0.01]

Under LUCID BETA, the icon indicates that it is connecting, but after several ( < 3 minutes) the dialog pops up again asking for my WPA/WPA2 password.

This card works with Karmic, and at least three previous releases of ubuntu NBR

legendb (mikeyfafa) wrote :

I today updated to lucid lynx beta and had this issue. I managed to fix it by compiling the latest driver as others have described above, however I also had to copy the new driver from the directory that make install put it in to the /lib/modules/2.6.*/kernel/drivers/staging/rt2860 directory. After a reboot it is connecting over WPA2 at 270Mb/s (apparently)

Ricardo Salveti (rsalveti) wrote :

Yes, this bug is fixed with latest version of the driver. The driver's code that you can find at 2.6.33 is enough to get it working, and that's why I'm using the backported patch.

As I think this is not going to be merged into Lucid (huge patch), the easier solution is to install the latest vendor's driver, and keep supporting it by hand until Ubuntu releases a kernel based on 2.6.33.

Stephen Tanner (btreecat) wrote :

Same issues on my eee 901, is there a package for the backport?

Im not shure, but it seems to be fixed after latest update to kernel 2.6.32-21-generic

Before i had to compile the drive the way @killerbee mentioned in #25 (but only with the 2 "y" changes, not "FlexibleCipher", see #26 )

Thanx! Launchpad rocks :-)

Stephen Tanner (btreecat) wrote :

Hmm I just updated this morning and it still broken...

I did follow the instructions in post #25 (without the FlexibleCipher) an it worked like a charm.

Just incase any one needs help finding the driver:
http://www.ralinktech.com/license_us.php?n=2&p=0&t=U0wyRnpjMlYwY3k4eU1ERXdMekF4THpJNUwyUnZkMjVzYjJGa05ERTJNVEV5T1RFd05pNWllakk5UFQweU1ERXdYekF4WHpJNVgxSlVNamcyTUY5TWFXNTFlRjlUVkVGZmRqSXVNeTR3TGpBdWRHRnlD

It asks for a name: John James Jacob
and an email: <email address hidden>

Ricardo Salveti (rsalveti) wrote :

I'm also maintaining the kernel with the backported patch at http://rsalveti.net/pub/ubuntu/kernel/lucid for those who want to test it, but it's easier to just install the vendor's driver.

cowmix (mmarch-gmail) wrote :

An "unsophisticated mass" would like to report that I am using the Netbook Remix Beta 2 on a 1000H with all the latest updated and the wifi sees the networks but it can't connect to a WPA2 personal hotspot.

zefox (zefox) wrote :

Is it rt2860 specific ?
I have the same symptoms for rt2500usb with lucid beta 2 64 bits live cd and fresh install.
My router is set to WPA TKIP+AES (under Windows only TKIP seems to be working) and I can see the scan list (neighbor and me), but can't connect.
I tried with a static IP ; it seems to be connected, but I can't ping the gateway. Bad network...

I'm downloading the kernel listed in this thread and will report whether or not it helps anything. I'm getting a bit frustrated with this issue cropping up in every release of Ubuntu though. If I wanted to have to compile my hardware every update...well there are other distros for that--I **thought** Ubuntu wasn't supposed to be one of them. Somewhere, somehow I got this strange kooky idea Ubuntu was intended as a distribution "for the masses" and as such would support consumer hardware. I guess I was smoking crack, because you don't get hardware that is more consumer grade than a netbook. You don't get more Linux compatible than having Linux be a part of the bleeping model name...

Andrew Henderson (henchan) wrote :

While I share bornagainpenguin's frustrations, I feel the need to balance his/her tone with my own feelings on the matter.
I appreciate the work that many individual volunteers as well as not-for-profit and commercial organisations have been putting into Ubuntu and Linux. It is also worth mentioning that we are actually using a Beta release of a free product in this particular case.
I am grateful that it is available. Though perfection would certainly be preferable, that may never be delivered in my lifetime. Meanwhile I look forward to a timely release of a convenient patch.

Ricardo Salveti (rsalveti) wrote :

I already published the backported patch, but the problem is that the patch is huge, and as the release will be out in a few days, besides being an LTS one, I don't think the patch will be incorporated.

The good thing is that at the time they decide to update the kernel to 2.6.33 this fix will be included by default.

cowmix (mmarch-gmail) wrote :

Richardo, a) thanks for your work but b) arg that is frustrating.

Having an device that was functioning before now be 'broken' in the release of the LTS of operating system is kind of mind blowing.

Elton Woo (elton-woo) wrote :

@ Ricardo:
Imagine the bad publicity for linux if the next release comes out *without* the patch. Not just long time users of linux, but what about those new to the OS who will install the new release, only to find that they can't connect to the internet?

Connectivity nowadays is primordial and crucial, if the end user is to either get updates or even to get HELP about anything.

It is to be fervently hoped that the 2.6.33 kernel *will* be included with the final release. Connecting with Karmic on my netbook, can be (infrequently) flaky, but now, with a NEWER release of the distro, *not* being able to connect at all ... not good.

Paspartout (pv-ndsmail) on 2010-04-20
description: updated
Michal Pěnka (michal-penka) wrote :

Ricardo, thanks for your work!

Howerver, I see this is a huge problem if it's not included in final Lucid/LTS. (I know it's not your problem though)

RT2860 is used in most of the eee netbooks. And most of these will upgrade to Lucid in a few days. I don't think it is a good idea to
 discourage them :/ It'd be really BAD reputaion which will cause huge activity at Launchpad, ubuntu forums and other web forums...

Is there any way how to warn Canonical? I don't think they know about this crucial problem.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Michal Pěnka,
     I can tell you that we are aware of this issue, however, the kernel is currently frozen for release. This particular bug is on my list for review and will likely make it into the first SRU update of Lucid.

As Ricardo mentioned, the patch is not trivial and will need to be added and tested thoroughly before being included. I am inquiring with the team on this as well so that it can be ready as soon as possible.

Thanks!

~JFo

Elton Woo (elton-woo) wrote :

@ Ricardo Salvetri: I would like to add my voice in saying "thank you" for your work on the kernel.

@Jeremy Foshee: From your comments, would I be correct for me to understand that you are one of the team who will make the final decision before Lucid goes gamma? FWIW: I am one of those Asus EEE user mentioned by Michal Pěnka. Intially, thought that the problem was merely with the WPA supplicant, or just the drivers ... and *only with Lucid*.

However, I also downloaded and tried other distros (as live CD's), such as: Mandriva, Easy Peasy, EEEbuntu, Knoppix, and even Fedora. The problem was / is consistent across all these distros.

Further investigation led me to this forum, and I felt some hope that the next release of ubuntu would be something 'for the masses'. Ubuntu has established justly-deserved reputation for being a very user-friendly distro.

As an 'end user' two things attracted me to Ubuntu:

1) The end of the 'dependencies nightmare' that invariably occurred with rpm distros, thanks to debian and apt / synaptic.

2) Ease of use: no beating my head against a wall to install drivers for peripherals. Everything "just works". The only 'hard work' for the end user is installation, and some basic configuration: internet, and personal preferences.

If the other distros' current betas 'go gold' with a _properly patched kernel_, it will look very bad for Canonical / Ubuntu.

I am no 'coder / programmer'. I confess that my desire to see Ubuntu's LUCID come out "looking good" is probably due to the fact that they are headquartered in Montreal ...so my enthusiasm for this distro is somewhat tainted with a bit of 'Canadian pride'.

IMVHO, it would preferable for Ubuntu to delay the release another few days ...or even a week, rather than have 'egg on their faces'.

... just my two canuck cents worth ...

respectfully...

PhilGil (pgilston) wrote :

Ricardo, thank you so much for providing the updated kernel. I was struggling with installing the Ralink driver on my EEE PC 1000h, but your kernel loaded easily and my wireless works perfectly. Perhaps a temporary solution would be to distribute your kernel in a PPA.

Jeremy, I would like to encourage Canonical to be proactive about this bug. There is a large installed base of Ubuntu users with 1st and 2nd generation netbooks that will be impacted if they upgrade. As a user, the primary problem I see with waiting until the first SRU for a fix is that the Lucid image will not contain the updated drivers. This places users in the position of needing to upgrade in order to have functioning wireless, but being unable to upgrade because their wireless isn't functioning. Of course there are work-arounds, but it will be troublesome nonetheless.

At the minimum, there should be a prominent message from Canonical informing netbook users of the bug and instructions for determining if their computer contains rt2860 wireless.

tags: added: patch
Elton Woo (elton-woo) wrote :

@ PhIlG: this is a "catch-22" situation, and as you so rightly said:
"...the Lucid image will not contain the updated drivers. This places users in the position of needing to upgrade in order to have functioning wireless, but being unable to upgrade because their wireless isn't functioning."

Fine for users who have a second machine with which to connect and get the fixes, but what happens if it is the only machine, AND said users sole means of connection is via wireless?

... what then?

Dries Harnie (dharnie) wrote :

Confirming that Ricardo's backported kernel works for my EEE 1000H.

Since it looks like this won't get fixed in time for the release, is it possible to put Ricardo's kernel on the .iso, somewhere out of the way?
At least the release notes can direct people to install that, giving them a chance to download updates later.

Michal Pěnka (michal-penka) wrote :

I didn't realize how serious it is. Elton is right. How to update without any possibility to update?

Dries, I think there's no space for Ricardo's kernel on the CD. And I don't find this solution "clean". It's a dirty workaround. I suggest Canonical to include some info about this bug in the release notes. Although, I'm not sure whether all users notice and whether it doesn't cause the bad reputation either.

Bad, bad situation :/

P.S. I'm not interested personally, just one friend of mine has this eee 901 with daily Lucid.

Elton Woo (elton-woo) wrote :

I haven't followed too closely about what is being dropped from the CD for lack of space, but I understand that The Gimp is one of them. At the risk of dumping yet another important package from the CD, why not just 'bite the bullet' and do so [remove another (other) packag(s) from the CD]?

Perhaps even substitute Xfce or a lighter desktop in place of Nautilus (?), just to ensure that a proper kernel is included... Linux enthusiasts like myself might gripe a bit, but at least we will be ABLE to CONNECT and GET what is missing.

=>The kernel is the *heart* of the OS. Anything *less* than this fixed kernel and Canonical / Ubuntu is giving birth to a *seriously handicapped* (...dare I say 'stillborn'?) child. <=

[... anyway, I'm off to today's Olympic parade in downtown Montreal. Maybe I'll run into someone from Team Ubuntu and twist his arm!]

... sorry if I'm being so insistent about this...

Stephen Tanner (btreecat) wrote :

I agree, this is of huge importance. How many Eee PC users are we willing to exclude?

My WPA/2 is what I use at home and what they use on campus, and has become *the* encryption standard for wireless since WEP is so easy to pwn in secconds.

If the package maintainers fail to update this, we as a community should create a ppa with a dkms kernel module for this driver. I know its not a perfect solution but its better than nothing and people can either a) use hard line connection or b) download it before installing and store it on a usb drive.

Andy Whitcroft (apw) wrote :

Has anyone tested installing linux-backports-modules-wireless-2.6.32 as a possible solution? That contains updated drivers for a number of the IDs reported here. If someone could test and report back here that would be helpful.

Changed in linux (Ubuntu):
milestone: none → lucid-updates
Mass-Yas (massyas) wrote :

@Andy Whitcroft:
I have just tried to install linux-backports-modules-wireless-2.6.32 package on my eeePC 901 but it does not solve the problem for me.
On the other side, Ricardo Salvetri's updated kernel image solved it.

cowmix (mmarch-gmail) wrote :

Is there anyway Canonical can be clear to tell people do NOT upgrade to Lucid when it first comes out? For a year there I bought for my friends and relatives (or had them buy) about 12 1000H EEEs. Running Netbook remix has been a dream and I've had to do almost zero support for any of these people.

IMHO, its better to be very clear and upfront than have someone go through the process and have their laptops stop functioning.

Christian Loos (cloos) wrote :

I added the 'Ubuntu release notes' project to this bug, so hopefully they notice this bug in the release notes.

Kyle Uhlmeyer (kyle-uhlmeyer) wrote :

I was experiencing this on my EEE 1000 model, and used Ricardo's modified kernel. So far the problem seems to be fixed. Good work on the kernel Ricardo.

aidanr (aidanreynolds1) wrote :

+1 fixed using RIcardo's kernel

cowmix (mmarch-gmail) wrote :

+1 fixed using RIcardo's kernel (on an 1000H)

cowmix (mmarch-gmail) wrote :

I would like to amend my comment (#103). I got the wireless to work only once so far.. It mostly still does not work, even with Ricardo's kernel.

I have lucid RC running on my eeePC Modl PC1000. But I am not able to connect to the Apple Airport wifi.
It works fine with D-LINK .

This is the /var/log/syslog when I try too connect:
=========================================
Apr 26 00:20:12 laprocio wpa_supplicant[918]: Authentication with 00:23:12:f8:38:89 timed out.
Apr 26 00:20:12 laprocio NetworkManager: <info> (wlan0): supplicant connection state: associating -> disconnected
Apr 26 00:20:12 laprocio NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
Apr 26 00:20:17 laprocio wpa_supplicant[918]: Trying to associate with 00:1f:f3:07:8c:4d (SSID='yaipan' freq=2462 MHz)
Apr 26 00:20:17 laprocio NetworkManager: <info> (wlan0): supplicant connection state: scanning -> associating
Apr 26 00:20:17 laprocio kernel: [ 942.901126] ===>rt_ioctl_giwscan. 4(4) BSS returned, data->length = 546
Apr 26 00:20:17 laprocio kernel: [ 942.901762] ==>rt_ioctl_siwfreq::SIOCSIWFREQ[cmd=0x8b04] (Channel=11)
Apr 26 00:20:17 laprocio wpa_supplicant[918]: Association request to the driver failed
Apr 26 00:20:22 laprocio wpa_supplicant[918]: Authentication with 00:1f:f3:07:8c:4d timed out.
Apr 26 00:20:22 laprocio NetworkManager: <info> (wlan0): supplicant connection state: associating -> disconnected
Apr 26 00:20:22 laprocio NetworkManager: <info> (wlan0): supplicant connection state: disconnected -> scanning
=======================================

Hardware I have:
    description: Notebook
    product: 1000
    vendor: ASUSTeK Computer INC.
    version: x.x
    serial: EeePC-1234567890
    width: 32 bits
    capabilities: smbios-2.5 dmi-2.5 smp-1.4 smp
    configuration: boot=normal chassis=notebook cpus=1 uuid=00C16761-2C60-DD81-31F1-002215857CF1
  *-core
       description: Motherboard
       product: 1000
       vendor: ASUSTeK Computer INC.
       physical id: 0
       version: x.xx
       serial: EeePC-0123456789
       slot: To Be Filled By O.E.M.
     *-firmware
          description: BIOS
          vendor: American Megatrends Inc.
          physical id: 0
          version: 0702 (07/14/2008)

    *-cpu
          description: CPU
          product: Intel(R) Atom(TM) CPU N270 @ 1.60GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: 6.12.2
          serial: 0001-06C2-0000-0000-0000-0000
          slot: PBGA 437
          size: 1067MHz
          capacity: 1666MHz
          width: 32 bits
          clock: 133MHz
           *-network
                description: Wireless interface
                product: RT2860
                vendor: RaLink
                physical id: 0
                bus info: pci@0000:01:00.0
                logical name: wlan0
                version: 00
                serial: 00:15:af:e7:02:88
                width: 32 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=rt2860 latency=0 multicast=yes wireless=RT2860 Wireless
                resources: irq:19 memory:fbef0000-fbefffff

The kernel linked above did nothing for me. I was so disgusted I rolled back to my Hardy image and avoided doing any Linux related stuff for a bit... Possibly the reason I did not get any benefit from the kernel is because I am on an eeepc 901, and not one of the 1000 series? Adding acpi_osi=Linux doesn't seem to do anything either.

There seems to be something really broken in the way Ubuntu runs on these netbooks, or in the more recent versions of the Linux kernel, because Adam McDaniel's version of the kernel for Hardy just worked. Ever since Hardy though there has been problem after problem... Intrepid has some weird sound issues and some strange tick with the mouse. Jaunty had those infamous Intel video issues in xorg. Karmic had the hard lock issue with its WiFi which not only was a known issue way back in July and Canonical insisted on releasing despite countless reports that this was a serious bug!

Of course the developers promised a fix would be released as soon as possible, that it simply wasn't possible to fix things at this late a date, that fixing this bug would hold up their release by a week so it couldn't happen. Remember this was a bug reported in July, people became frantic about as the October release date approached and wasn't fixed...until February?!? netbooks were a chance for Linux and Ubuntu in particular to shine, to show what Linux could do and more importantly to show what Linux could do that the other guys couldn't. Instead Ubuntu is showing people that they're better off using Genuine Microsoft Windows instead of the crappy knock-off...or getting an iPad, considering the new look these days...

Also why is it that when something is consistently broke and a user gets understandably annoyed at the persistence of brokenness everyone else feels outraged the bug reporter didn't genuflect and prostrate themselves seven times and give a literary hand job with gratuitous thanks and tokens of appreciation? If this were something the other guys had that was constantly screwing up people would be screaming it should have been fixed last week, but since its Linux the developers get a pass? What the heck?

--bornagainpenguin

PS: Installing the ralink driver works despite error messages if you follow the guide linked here: http://ubuntuforums.org/showthread.php?t=1045703

There will be complaints about sizes but if you follow the guide it WILL work and fix the WiFi situation, at least until another update comes out and borks everything again. Still a horrible place to put users in though...and considering the guide was written for Intrepid that ought give some idea how long this has been a problem and also make it clear this isn't about exotic hardware on the eeepcs or other netbooks. (Although given the volume of netbooks now being sold and the numbers of which came with Linux preinstalled how anyone can argue with a straight face they are exotic hardware is beyond me... This whole thing is going to be a black eye on the face of Linux if these types of issues keep happening.)

MrHaroldA (mrharolda) wrote :

I've updated my EEE 1000H to Lucid yesterday and I can confirm that my RT2860 doesn't work. WICD doesn't even show the available networks. Fortunately I was able to boot an old Karmic image so that I can access the Internet again to discover this is a known and major problem with Lucid. I guess users with a fresh install aren't that lucky...

This is of course unacceptable and really blemishes the reputation of Ubuntu/Linux.

Unfortunately, Ricardo's kernel didn't fix my connection problem, so I have to boot 2.6.31-20-generic every time.

Ricardo Salveti (rsalveti) wrote :

@HaroldAling: can you paste the result of "$ lspci -vnn | grep RaLink"?

In my EeePC 1000HE I get:
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]

Dries Harnie (dharnie) wrote :

@Ricardo: I have the same output, an EeePC 1000H, and your patch makes mixed WPA/WPA2 networks accessible to me.

@HaroldAling: You might be suffering from something else. Do you have some kind of radio killing enabled?
Because I have a 1000H as well and I could still *see* and *connect to* networks, just not connect to mixed WPA/WPA2 networks.

Elton Woo (elton-woo) wrote :

On my Macbook, I downloaded the *release candidate* [ubuntu-10.04-rc-netbook-i386.iso], verified the md5sums, and burnt on DVD-R media. Booting the disk as a live CD on my Asus 1000 PC, the problem still persists.
Lucid will not connect to WPA/WPA2.

MrHaroldA (mrharolda) wrote :

@Ricardo:

$ lspci -vnn | grep RaLink
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
 Subsystem: RaLink Device [1814:2790]

@Dries:

It's really strange: when I boot the Karmic kernel everything just works. When using the Lucid kernel, I have to bring the wlan0 up with "ifconfig wlan0 up" (ra0 in the old kernel) but Wicd never finds an available network. "iwlist wlan0 scanning" however shows all available networks just fine.

Dries Harnie (dharnie) wrote :

Harold:
the iwlist output shows that it's working driver-wise. Maybe something you changed in your networking setup inadvertently?
Have you tried booting from a livecd to see if you get any networks there? If so, this might not be the bug you're looking for.

MrHaroldA (mrharolda) wrote :

@Dries(/all): I found out yesterday that the interface rename from ra0 to wlan0 was the cause of my problems.

@Ricardo: as soon as I find the time, I will revert the kernel and test if I can access my WPA encrypted network.

Parham D. (parhamdibajnia) wrote :

This has been happening to me even in Karmic and the brand new 10.04 LTS final release. I cannot connect to WPA2. My adapter (US Robotics USR5420) is recognized but can only connect to unsecured connections.

skalra63 (skalra63) wrote :

You couldn't delay the release date to fix an issue a lot of new Windows converts will have when installing Lucid?

What a load of balls!

It may be free but it doesn't work....

Parham D. (parhamdibajnia) wrote :
Download full text (3.3 KiB)

The funny thing is that WPA2 was not supported in karmic koala either. Now I
don't know about previous releases....

On Thu, Apr 29, 2010 at 6:55 PM, skalra63 <email address hidden> wrote:

> You couldn't delay the release date to fix an issue a lot of new Windows
> converts will have when installing Lucid?
>
> What a load of balls!
>
> It may be free but it doesn't work....
>
> --
> [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured
> wireless networks
> https://bugs.launchpad.net/bugs/496093
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Confirmed
> Status in Ubuntu Release Notes: New
> Status in “linux” package in Ubuntu: Triaged
> Status in “linux” source package in Lucid: Triaged
>
> Bug description:
> The rt2800sta module in the lucid kernel has failed to connect to my
> wireless network (which uses WPA2) 8 out of 10 times i've tried to connect
> to it, while never having any problems with unsecured networks. karmic's
> module worked flawlessly, however.
>
> ProblemType: Bug
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: matt 2217 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xe8200000 irq 22'
> Mixer name : 'Realtek ALC888'
> Components : 'HDA:10ec0888,1458a002,00100001'
> Controls : 40
> Simple ctrls : 22
> Card1.Amixer.info:
> Card hw:1 'HDMI'/'HDA ATI HDMI at 0xe5010000 irq 17'
> Mixer name : 'ATI R6xx HDMI'
> Components : 'HDA:1002aa01,00aa0100,00100100'
> Controls : 4
> Simple ctrls : 1
> Card1.Amixer.values:
> Simple mixer control 'IEC958',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Date: Sat Dec 12 22:31:27 2009
> DistroRelease: Ubuntu 10.04
> HibernationDevice: RESUME=UUID=ffabca83-328e-41f3-a6cd-33af8937e779
> MachineType: Gigabyte Technology Co., Ltd. EP43-UD3L
> Package: linux-image-2.6.32-7-generic 2.6.32-7.10
> ProcCmdLine: BOOT_IMAGE=//vmlinuz-2.6.32-7-generic
> root=UUID=8e8d5531-1890-453f-8991-5a4c238280e3 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-7.10-generic
> Regression: Yes
> RelatedPackageVersions: linux-firmware 1.27
> Reproducible: Yes
> RfKill:
>
> SourcePackage: linux
> Tags: lucid needs-upstream-testing regression-potential
> TestedUpstream: No
> Uname: Linux 2.6.32-7-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 04/16/2009
> dmi.bios.vendor: Award Software International, Inc.
> dmi.bios.version: F4
> dmi.board.name: EP43-UD3L
> dmi.board.vendor: Gigabyte Technology Co., Ltd.
> dmi.board.version: x.x
> dmi.chassis.type: 3
> dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
> dmi.modalias:
> dmi:bvnAwardSoftwareInternational,Inc.:bvrF4:bd04/16/2009:svnGigabyteTechnologyCo.,Ltd.:pnEP43-UD3L:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnEP43-UD3L:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
> dmi.product.name: EP43-UD3L
> dmi.sys.vendor: Gigabyt...

Read more...

I'm still seeing this on the Ubuntu 10.04 release which became available yesterday; I'll try the suggestions, but my RT2860 cannot be used from the live USB boot environment.

My ASUS eeepc 1000HE wifi also don't work fine with my WPA2.
I can only connect 2/10minuts and then I have to reboot the pc... To tried to connect again..

Without wifi this OS is junk for my netbook.. Is any prevision for when will be fixed? Or how to workaround this?

** Just to add that, my Asus 1000HE work fine with the 9.04 version.. with the same wifi network(WPA2).

Parham D. (parhamdibajnia) wrote :

Is it possible to somehow do a "transplant"? Take the 9.04 network system and put it in 10.04 so it has WPA2 support.

Mass-Yas (massyas) wrote :

Did you try Ricardo's patched kernel you can download at
http://rsalveti.net/pub/ubuntu/kernel/lucid/
That worked for me on eeePC 901.

2010/4/30 Parham D. <email address hidden>

> Is it possible to somehow do a "transplant"? Take the 9.04 network
> system and put it in 10.04 so it has WPA2 support.
>
> --
> [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured
> wireless networks
> https://bugs.launchpad.net/bugs/496093
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

I think that the problem is in the kernel, so I think if you install a newer kernel you will have this problem fixed..
But upgrade the kernel to the 2.6.34 isn't the best solution... I will wait one week if will be a fix in the proposed-updates or ppa, if not I will update the kernel to 2.6.34...

Parham D. (parhamdibajnia) wrote :

Now, how do you install this patched kernel?

Mass-Yas (massyas) wrote :

Download this file
http://rsalveti.net/pub/ubuntu/kernel/lucid/linux-image-2.6.32-21-generic_2.6.32-21.32rsalveti1_i386.deband
install it using dpkg command or graphical app gdebi.

2010/4/30 Parham D. <email address hidden>

> Now, how do you install this patched kernel?
>
> --
> [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured
> wireless networks
> https://bugs.launchpad.net/bugs/496093
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Joao Trindade (trindade.joao) wrote :

2010/4/30 Parham D. <email address hidden>

> Now, how do you install this patched kernel?

Download the kernel image from:
http://rsalveti.net/pub/ubuntu/kernel/lucid/linux-image-2.6.32-21-generic_2.6.32-21.32rsalveti1_i386.deb

Click on the downloaded .deb file. Ignore the warning of the older version. Click install package. It then should ask you your password.

Then just wait for the install to end.

Installing the post-release updates (with an ethernet cable) fixed the problem, and I can use WPA/WPA2 finally on my ASUS Eee 901.

Ricardo Salveti (rsalveti) wrote :

This doesn't seems to be fixed at the current kernel repository, so this should probably work just for some time.

Let us know if this is stable for you, and also your device id.

Tom (thomasbuhmann) wrote :

Thank's, Ricardo!
This works perfectly on my EEE 1000H.

AFonseca (ajcf89) wrote :
Download full text (3.3 KiB)

I'd just like to say that I'm running Lucid Lynx's Netbook release and my
wireless experience wireless has been flawless.

My PC is an ASUS EeePC 901.

On 30 April 2010 14:58, Ricardo Salveti <email address hidden> wrote:

> This doesn't seems to be fixed at the current kernel repository, so this
> should probably work just for some time.
>
> Let us know if this is stable for you, and also your device id.
>
> --
> [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured
> wireless networks
> https://bugs.launchpad.net/bugs/496093
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Linux Kernel: Confirmed
> Status in Ubuntu Release Notes: New
> Status in “linux” package in Ubuntu: Triaged
> Status in “linux” source package in Lucid: Triaged
>
> Bug description:
> The rt2800sta module in the lucid kernel has failed to connect to my
> wireless network (which uses WPA2) 8 out of 10 times i've tried to connect
> to it, while never having any problems with unsecured networks. karmic's
> module worked flawlessly, however.
>
> ProblemType: Bug
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: matt 2217 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xe8200000 irq 22'
> Mixer name : 'Realtek ALC888'
> Components : 'HDA:10ec0888,1458a002,00100001'
> Controls : 40
> Simple ctrls : 22
> Card1.Amixer.info:
> Card hw:1 'HDMI'/'HDA ATI HDMI at 0xe5010000 irq 17'
> Mixer name : 'ATI R6xx HDMI'
> Components : 'HDA:1002aa01,00aa0100,00100100'
> Controls : 4
> Simple ctrls : 1
> Card1.Amixer.values:
> Simple mixer control 'IEC958',0
> Capabilities: pswitch pswitch-joined penum
> Playback channels: Mono
> Mono: Playback [on]
> Date: Sat Dec 12 22:31:27 2009
> DistroRelease: Ubuntu 10.04
> HibernationDevice: RESUME=UUID=ffabca83-328e-41f3-a6cd-33af8937e779
> MachineType: Gigabyte Technology Co., Ltd. EP43-UD3L
> Package: linux-image-2.6.32-7-generic 2.6.32-7.10
> ProcCmdLine: BOOT_IMAGE=//vmlinuz-2.6.32-7-generic
> root=UUID=8e8d5531-1890-453f-8991-5a4c238280e3 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-7.10-generic
> Regression: Yes
> RelatedPackageVersions: linux-firmware 1.27
> Reproducible: Yes
> RfKill:
>
> SourcePackage: linux
> Tags: lucid needs-upstream-testing regression-potential
> TestedUpstream: No
> Uname: Linux 2.6.32-7-generic x86_64
> WpaSupplicantLog:
>
> dmi.bios.date: 04/16/2009
> dmi.bios.vendor: Award Software International, Inc.
> dmi.bios.version: F4
> dmi.board.name: EP43-UD3L
> dmi.board.vendor: Gigabyte Technology Co., Ltd.
> dmi.board.version: x.x
> dmi.chassis.type: 3
> dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
> dmi.modalias:
> dmi:bvnAwardSoftwareInternational,Inc.:bvrF4:bd04/16/2009:svnGigabyteTechnologyCo.,Ltd.:pnEP43-UD3L:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnEP43-UD3L:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
> dmi.product.na...

Read more...

Jonathan Hudson (jh+lpd) wrote :

Yet another view: Asus EeePC 901

rt2860sta was fine on Karmic, including hidden ESSID and WPA/WPA2

on Lucid, 2.6.32-21 or 2.6.32-22, the ESSID must be broadcast and either of WPA / WPA2 works, but not combined.

With the Ricardo Salveti kernel, or mainline ppa 2.6.33 / 2.6.34 lucid, ESSID must be broadcast, combined WPA/WPA2 works, but there are undesirable side effects, namely the machine will fail to resume from suspend, or will fail to reboot / restart, requiring disconnection from mains power and removal of the battery to even get back to the BIOS boot screen. The standard Ubuntu kernels do not have this adverse affect.

For 2.6.32-22 (not not try -21), the vendor driver is can be manually brought up, but is not recognised by g-n-m.

So for me, there is only one workaround: Ubuntu kernel, broadcast ESSID and use only one of WPA or WPA2. An unfortunate regression. I hope any potential fix is well tested on a good cross section of hardware.

-jh

arl (arl) wrote :

all worked ok on eeepc 1000h @ 9.1o
after update to 10.04 no more

i will now try the rsalveti update

Ricardo Salveti (rsalveti) wrote :

@jh: the problem is that this driver is still alpha/beta software, even upstream.

The upstream is basing the driver from the vendor's 2.1 version, but the vendor already released the 2.3 one.

Neither one is stable or in a state that can be merged upstream, so issues like these ones are, somehow, expected.

What I can see from this bug is that the backported patch that I sent should be applied, to fix the bug of WPA/WPA2 mixed mode for RT2860 (as the patch is already upstream and it's a staging driver), but this is not going to fix all the bugs this driver presents.

If you want to improve the driver, the best way is using the upstream version, getting new updates from the vendor and trying to improve the quality of the driver in order to get it in the official tree, not just staging, but this demands a lot of more work.

arl (arl) wrote :

update, I first tried to install straight away, without first downloading, then it failed, but the 2nd attempt, with first download, and then install, it worked.

I am now typing this via wifi! Thanks community

I only need to be carefull now, with updates, I guess....

Elton Woo (elton-woo) wrote :

Normally, I prefer to do a clean install of a release. This time, I upgraded from Karmic to Lucid. Since I could not connect with the Asus EEE 1000, I downloaded the Ricardo Salvetri's patched kernel with mhy Macbook then installed it on the Asus from a USB key. I was then able to connect to the Internet.

Meantime, I burnt the ISO to SD, intending to do a clean install. (...and *copied* the patched kernel to the root directory of the memory stick, so I could have everything 'at hand' after the install).

During this time, I removed some packages on the Asus, and may have broken something, since I am back to the same problem: Network applet asking for the WPA /WPA2 password over and over. I ever *re-installed* Ricardo's kernel, to no avail. Warm boots, or cold boots, not difference...

I confess that I do most of my installation and configuration using the GUI tools. Writing this on my Macbook, I turned off the Asus for a few minutes. I just booted it up, and I'm again connected (so maybe the netbook is just being 'tempermental'! :-)

I'm about to finish this post, and once again, the dialog is popping up. ... maybe it's also related to ADSL line quality ... though I don't get the faintest hiccup on my connections with the Airport card on my Mac...

Parham D. (parhamdibajnia) wrote :

The patched kernel didn't do anything. (Although I noticed that the power logo turns red when a restart is required). Again, my adapter is a US Robotics USR5420.

Parham D. (parhamdibajnia) wrote :

Sorry for double posting but is there a Keryx for Lucid? I want to see if the updates work.

jasim (jasimlinux) wrote :

WPA-PSK Encryption: TKIP+AES = not work
WPA-PSK Encryption: AES = work fine
router
WPA Algorithams = TKIP+AES = not work
WPA Algorithams = AES = work

Elton Woo (elton-woo) wrote :

I did a clean install of LUCID LTS (Ubuntu Netbook Edition), and applied the patched kernel.

Details are in the ubuntu forums HERE:
http://ubuntuforums.org/showthread.php?p=9203922#post9203922 [#136]

No further connection problems. THANK YOU Ricardo!

The kernel by Ricardo Salveti works for my EeePC 1000 (not when using wicd, though - had to switch to standard network manager).
Ricardo, have you submitted the patch already?

Parham D. (parhamdibajnia) wrote :

The kernel doesn't work for me. I have switched to WiCD but it gets stuck at "validating".

The kernel with the 21 version.
In the proposed-updates you will get the 22 version. so you will have to
boot the 21 version..

On Sat, May 1, 2010 at 9:39 PM, Parham D. <email address hidden> wrote:

> The kernel doesn't work for me. I have switched to WiCD but it gets
> stuck at "validating".
>
> --
> [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured
> wireless networks
> https://bugs.launchpad.net/bugs/496093
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-------------------------------------
Marco Sousa

nucleuskore (doctorjohn2) wrote :

I have ASUS eeepc 1000H with Network controller: RaLink RT2860. I tried to get the card to work with my WPA wireless router at home without success, although it works flawlessly on open networks. As compiling the driver from the manufacturers website did not work for me,

I decided to try something different. I just did a fresh install, and installed the package linux-backports-modules-wireless-2.6.32-21-generic. The card worked great without the need for any more packages or tweaks. I used the netbook like this for an hour. Mind you just the regular install + linux-backports-modules-wireless-2.6.32-21-generic. However when I rebooted the system the card gives the same trouble as earlier. I am sharing this experience here with the hope that this might somehow be of help.

Tom (thomasbuhmann) wrote :

Ricardo's kernel works perfectly for my EeePc 1000H. Thanks Ricardo!
But what will happen at the next kernel update?
Do I need a new patch?

Parham D. (parhamdibajnia) wrote :

I got an idea. How about someone assigns this damn bug to someone. I'd love to assign it to Mark Shuttleworth...

Changed in linux (Ubuntu):
assignee: nobody → Parham D. (parhamdibajnia)
assignee: Parham D. (parhamdibajnia) → nobody
assignee: nobody → Mark Shuttleworth (sabdfl)
Changed in linux (Ubuntu Lucid):
status: Triaged → Confirmed
Changed in linux (Ubuntu):
status: Triaged → Confirmed
Steve Langasek (vorlon) wrote :

Assigning bugs to people in the UI doesn't make them responsible for fixing them. Please leave the bug state alone.

Changed in linux (Ubuntu):
assignee: Mark Shuttleworth (sabdfl) → nobody
Parham D. (parhamdibajnia) wrote :

Hey Ricardo,
Can you make a driver for my UR Robotics USR5420 to include in your kernel?

Why would you assign it to sabdfl, Parham?

Steve Langasek (vorlon) on 2010-05-02
Changed in linux (Ubuntu Lucid):
status: Confirmed → Triaged
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Parham D. (parhamdibajnia) wrote :

Because its a HUGE problem in Ubuntu.

Parham D. (parhamdibajnia) wrote :

Also, someone needs to be assigned this bug to be fixed. Also, why in the world Steve, would you put it back to triaged? Its affected 73 people!

You have not explained, why _sabdfl_?

On Sun, May 02, 2010 at 10:38:13PM -0000, Parham D. wrote:
> Also, someone needs to be assigned this bug to be fixed. Also, why in
> the world Steve, would you put it back to triaged? Its affected 73
> people!

Because that's the correct state for the bug to be in. Please read
<https://wiki.ubuntu.com/Bugs/Status> before making further changes to the
bug state.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Parham D. (parhamdibajnia) wrote :

First one who came to mind. Also he created Ubuntu (now that I found out).

nucleuskore (doctorjohn2) wrote :

Afraid Ricardo's kernel doesn't work for me

Ricardo Salveti (rsalveti) wrote :

@nicleuskore: if doesn't work, please post the output of "$ lspci -vnn | grep RaLink" here.

John D. (9336c39bd373) wrote :

Ricardo's kernel works great with my EeePc 901. Thanks a lot Ricardo! Will the patch ever be included into the regular kernel?

Ricardo Salveti (rsalveti) wrote :

@John D.: the patch was submitted already, but the kernel team is responsible for reviewing and applying it, if they decide that this is the way to go.

Probably the review will happen in the next weeks.

Parham D. (parhamdibajnia) wrote :

Hey Ricardo, can you add a driver for my USR5420 please? Thanks.

Glen Turner (gdt-gdt) wrote :

Net upgraded Asus EeePC 901 running UNR from Karmic to Lucid. No longer connects to a WLAN running only WPA2 PSK CCMP(AES). Can't believe that Lucid was released without any indication in the release notes that such a show stopping bug existed for EeePCs.

Jan Obrátil (obrys) wrote :

The same problem on my HW.

06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)

I can't connect to any WPA2 secured site. 8.04LTS was ok. :-(

I would like that the any from the Ubuntu team say anything..
(That don't be fixed, other thing have more priority, that are waiting for something)

Because this bug afects millones of computers! and it is a regression from Karmic!!

h1repp (heinz-repp) wrote :

confirming for a fresh install of Lucid final Ubuntu Netbook Edition 32bit with latest updates on my EeePC 1000H: trying to connect to different WLANs with WPA/WPA2 mixed and known valid WPA keys leads to repeated timeouts and failure to connect. Luckily I have a dual boot Windows and may try Ricardo's patched older kernel, but what will those who replaced their OS do?

Dries Harnie (dharnie) on 2010-05-04
description: updated
spongeblunt (deshman02) wrote :

@h1repp:
I'm one of them and for me it's meant leaving my netbook (eee901) in one room attached to to an ethernet cable. Rather than being the mobile device it was meant to be my netbook is now a terminal. I've also spent the last two nights trying different methods to get it to work:

The latest driver (after a few attempts) successfully compiled and I was able to browse the net, after a restart however I reconnected to the network but was unable to browse the net. After this I tried to install the alternative kernel listed above, but it did not change a thing.

WPA2 TKIP+AES Personal Encrypted network at home and Professional at Uni so changing the encryption is not a choice.

@h1repp

One simple solution and safe, is to install the (ubuntu 2.6.33 kernel)
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/

And run the 2.6.33 kernel until the new kernel with the fix be released...

Works for me. Thanks
Asus EEE 1000H

PhilGil (pgilston) wrote :

Instructions for compiling the driver (although I can't personally vouch for them as I'm using Ricardo's kernel): http://www.ctbarker.info/2010/05/ubuntu-1004-wireless-chipsets-and-wpa.html . Note steps 9-11 in the instructions from the link, regarding how to get the new driver to load after a reboot. This could be why users have reported that the drivers work when compiled, but fail on the next boot.

Chris Barker (ctbarker32) wrote :

Since my attempt for a solution is mentioned here I'd like to weigh in with my comments. My driver patch instructions only seem to work with the original (2.6.31) 10.04 kernel. Today brought an update that installs kernel 2.6.32. This of course breaks my workaround. Strangely, my instructions to compile a driver do not seem to work with kernel 2.6.32? I have now installed the test 2.6.33 kernel and it actually works and I am online but now I can only connect a 802.11g speeds (e.g. 54mbs) and not the 802.11n (e.g. 135 mbs) speed I could using my compiled driver? Oh well, I guess I should be thankful I can still connect at all!

I have to agree with post #107 about how poorly this reflects on Ubuntu 10.04 which I think is otherwise a very nice release. I didn't whine, I tried to do something about it but it is not proper that end users have to go through these hoops to get up and running. I've got a half dozen usb network sticks with names like Dlink, Linksys, SMC, Tenda, etc. Only one of these actually works out of the box with Ubuntu 10.04. Not a great batting average?

I actually looked at the "Wifi Docs Wireless Cards Supported" page. I drilled down on some of the links and there are a lot of gaps and no testing for over a year? Ralink is not even listed in the "By Manufacturer" list? Oddly, at the top of the doc there is this statement: "mentions Ralink and Realtek as open-source friendly Wifi vendors". Huh? Who maintains this stuff?

https://help.ubuntu.com/community/WifiDocs/WirelessCardsSupported

http://www.ctbarker.info/2010/05/followup-on-ubuntu-wireless-and-wpa.html

http://www.ctbarker.info/2010/05/ubuntu-1004-wireless-chipsets-and-wpa.html

-CB

Elton Woo (elton-woo) wrote :

@ Chris Barker: first of all thank you for the useful guidance you provide on your blog. As I follow this thread, I am also posting help to the ubuntuforums: http://ubuntuforums.org/showthread.php?t=1473629
In the ubuntu forums the section with networking is high traffic due to the numerous problems and complaints related to connectivity. It does not give linux a good image, and *particularly* ubuntu ("linux for the masses"?) is getting bad press.

WRT RaLink and Realtek, I am pleased to inform you that these manufacturers *are* actively supporting linux.
Cf: http://www.ralinktech.com/support.php?s=2
and http://www.opendrivers.com/company/2358/realtek-free-driver-download.html
As such, it clearly shows that they are indeed "open-source friendly"!

respectfully,

Chris Barker (ctbarker32) wrote :

I'm not sure what your relationship is to Ralink but if they are so "open-source friendly" why are their latest drivers broken and require an end user like me to modify the source code, compile the source code myself, and go through all sorts of back flips just get a freaking wireless card connected to the Internet?

If they were really serious they would a) fix their freaking drivers and b) assist the Ubuntu team in testing and getting the fix in before they ship the freaking gold code for Ubuntu 10.04! From where I stand I see no such effort from Ralink, et al.

As much as Linux people hate Windows, I've never had to compile my own Windows drivers to connect to the Internet.

-CB

Ricardo Salveti (rsalveti) wrote :

They should first work to get the driver upstream, and this has nothing to do with Ubuntu itself.

What I saw is that there is a community effort to improve the quality of the driver, to then be able to push it at Linus' tree. At the moment this driver is located at the staging, and it's older than the vendor's one.

The problem that happened at this bug is that the driver for 2.6.32 is broken, but fixed for 2.6.33. For Lucid, they decided to push 2.6.32 as default, without backporting the updates for this driver.

This can be fixed by backporting the driver or adding the latest version of the driver at the backported package.

Ricardo,

Like others drivers, Ubuntu should backported this driver. This bug is here
for lots of months without any comentary from the dev team.

Chris Barker (ctbarker32) wrote :

Great to hear all the background machinations. As an end user, I just want a fix. Pronto.

Regarding whether the driver is actually fixed. I observe two things with the 2.6.33 kernel code.

1) I can only connect at "G" 54 mbs speeds. My card has and is capable of "N" 135 mbs speeds.
2) I am observing random disconnects after a period of time (number of minutes, or hours?). Don't know yet, more testing required.

So, we still have a ways to go to actually resolve this.

At this point and wasting a ton of time, it looks like I might have to wipe and reinstall a stock Ubuntu 10.04 gold and ignore all kernel updates until this actually gets a real fix!

-CB

I have a netbook, an Asus EEEpc 1000H with WinXp and Ubuntu 10.04 installed.

I had to install the Kernel 2.6.33 to make my netbook connect to my home Wifi, which is WPA-PSK protected.
Any other device and the netbook itself under Windows did connect (and it did before with Ubuntu 9). Installing this kernel version (http://kernel.ubuntu.com/%7Ekernel-ppa/mainline/v2.6.33.3-lucid/) fixed it.

This solution was suggested to me on the official Ubuntu forum.

Marco

Elton Woo (elton-woo) wrote :

@ Chris Barker: [you said:] "I'm not sure what your relationship is to Ralink but if they are so "open-source friendly" why are their latest drivers broken and require an end user like me to modify the source code, compile the source code myself, and go through all sorts of back flips just get a freaking wireless card connected to the Internet?"

I have no 'relationship' with Ralink, nor do I represent any other company or entity that may be mentioned in this forum. My enthusiastic tone WRT RaLink was based on merely *seeing* that they do have drivers available. Until reading your response, I was totally unaware of the real situation. I merely used Ricardo Salvetri's patched kernel post-install of LUCID.

From the tone of your reply, I can well understand your frustration.

As for me, I am just "average Joe" who has a smattering to linux knowledge, is mainly a GUI user, and who found that Ubuntu made LINUX easy for me. I certainly appreciate that other more knowledgeable linux enthusiasts / coders like yourself give your free time to help.

Before I mark a bug I reported on Friday a duplicate - is this bug specific to a problem with the RaLink drivers or is this a bug in wpa_supplicant? The more read, the more I think this bug report is specific to a problem in the RaLink driver - which does not effect me as I'm not using it. However, that said, I'm having the identical problem otherwise (my bug is 572777).

Bela Tiwari (bt27uk) wrote :

Hello,

Thanks to all who have contributed to this discussion - it helped me solve my wireless connection problem on my Asus Eee PC 1000 very quickly. I can confirm that I had the connection problem reported above for WPA / WPA2 security on an Ubuntu 10.04 netbook with a 2.6.32 kernel. Following the advice of Marco Pregnolato in posting 173, (i.e. installing the 2.6.33 kernel) solved the problem.

Thanks again.

Nuno Lucas (ntlucas) wrote :

I can confirm that for me (Asus eee 1000HE) changing the router to WPA2/AES only solved the problem for me (3 days without problems now).

h1repp (heinz-repp) wrote :

I can confirm that Ricardo's 2.6.32-21 kernel restored connectivity to mixed WPA/WPA2 networks, but it provides only 802.11g connections, no 802.11n, and it seems to reconnect somewhat more frequently.

As for the 2.6.33 kernel, this might be a bad idea. Lucid is a LTS version, and the kernel developers have labeled their 2.6.32 as LTS also, so if you want to stick with Lucid in the next two years, you should stay with the 32er kernel.

It is a shame that none of the paid Ubuntu developers did show up here as this bug is a severe regression from Karmic, and it breaks wireless connectivity in a lot of configurations. Imaginge, that all WLAN hotspots that use WPA have to use mixed mode to allow both older (TKIP) and newer (AES) clients, and the Ralink RT2860 is prevalent in ASUS's EeePC netbooks.

So today kernel 2.6.32-22 was released, has anyone tried it ?

I'm currently using Ricardos kernel 2.6.32-21 which is working well enough now that I have unhidden my SSID and used only WPA2 and AES. Ricardo are you going to do produce the new kernel as a fixed version ? If you do, will I need to recompile the RaLink v2.3.0.0 driver I am using ? If you are going to maintain a working kernel, could you make it available as one of those PPA repositories ?

I am of course really grateful that Ricardo Salveti has gone to the effort of so far giving us the 2.6.32-21 kernel, but I just thought I'd be cheeky and ask about possible maintenance. I would also like to thank Chris Barker for his instructions on compiling the RaLink driver. Without both of these incredibly helpful people, I along with many other netbook users (one of Canonicals stated main targets) would be more than a little annoyed !

@h1repp,

The problem about using Ricardo's kernel is that isn't official! so you have to trust in the person o do this patch.

Will have more bug's?
Will have unintentional security bugs?
Will have intentional security bugs?

And about using 2.6.33 kernel, is one oficial package... And I say that use this new kernel until Canoninal release the fix for the 2.6.21/22/23.

Manuel (mbestler) wrote :

The 2.6.33 kernel fixed it too on my MSI U100 with a RaLink 2860. Befire I only could connect to WPA2-Only networks, now I can connect to WPA/WPA2 mixed mode networks too. Thanks to everyone for helping to get this out of the way.

However, since Lucid is an LTS Release I would be great to see an official update/fix. As in the nature of a netbook, where this chipset is used frequently, it is in use everywhere else than at home, at places you cannot choose what encryption you'd like to have. And for many users it is crucial to be able to connect to WPA/WPA2 mixed mode networks.

M

Thomas Ulich (thomas-ulich) wrote :

Hi,
I am running Mythbuntu 10.04 64bit. Wireless does not connect with 2.6.32-21, neither with 2.6.32-22. Then I downloaded the kernel given in comment #173 above (2.6.33-02063303_amd64), and I am running into the same problems as before, so .33 does NOT fix it for me.

Connecting with cable is just fine, wireless no luck. My wireless is on-board (lspci):

03:05.0 Network controller: Intel Corporation PRO/Wireless 2915ABG [Calexico2] Network Connection (rev 05)

and uses the ipw2200 driver.

I can see the SSID and according to syslog the connection is established, but then DHCP times out. Here are the most relevant lines from syslog:

May 9 13:07:36 myth wpa_supplicant[973]: Trying to associate with 00:24:fe:4b:29:91 (SSID='SATnet' freq=2457 MHz)
May 9 13:07:36 myth wpa_supplicant[973]: Association request to the driver failed
May 9 13:07:36 myth NetworkManager: <info> (eth2): supplicant connection state: scanning -> associating
May 9 13:07:36 myth wpa_supplicant[973]: Associated with 00:24:fe:4b:29:91
May 9 13:07:37 myth wpa_supplicant[973]: WPA: Key negotiation completed with 00:24:fe:4b:29:91 [PTK=CCMP GTK=CCMP]
May 9 13:07:37 myth NetworkManager: <info> Activation (eth2/wireless) Stage 2 of 5 (Device Configure) successful. Connected to wireless network 'SATnet'.
May 9 13:07:37 myth NetworkManager: <info> Activation (eth2) Beginning DHCP transaction (timeout in 45 seconds)
May 9 13:07:37 myth NetworkManager: <info> dhclient started with pid 1621
May 9 13:07:37 myth NetworkManager: <info> DHCP: device eth2 state changed (null) -> preinit
May 9 13:07:37 myth dhclient: Listening on LPF/eth2/00:0e:35:f5:d6:43
May 9 13:07:37 myth dhclient: Sending on LPF/eth2/00:0e:35:f5:d6:43
May 9 13:07:37 myth dhclient: Sending on Socket/fallback
May 9 13:07:37 myth dhclient: DHCPDISCOVER on eth2 to 255.255.255.255 port 67 interval 6
May 9 13:07:43 myth dhclient: DHCPDISCOVER on eth2 to 255.255.255.255 port 67 interval 7
May 9 13:07:50 myth dhclient: DHCPDISCOVER on eth2 to 255.255.255.255 port 67 interval 21
May 9 13:08:11 myth dhclient: DHCPDISCOVER on eth2 to 255.255.255.255 port 67 interval 9
May 9 13:08:20 myth dhclient: DHCPDISCOVER on eth2 to 255.255.255.255 port 67 interval 14
May 9 13:08:23 myth NetworkManager: <info> (eth2): DHCP transaction took too long, stopping it.
May 9 13:08:23 myth NetworkManager: <info> (eth2): canceled DHCP transaction, dhcp client pid 1621
May 9 13:08:23 myth NetworkManager: <info> Marking connection 'SATnet' invalid.

It's the same for all three kernels tested.

Now, while I have lots of *nix experience, this is mostly with commercial releases and very little with Linux, and I am new to Ubuntu. So my apologies if this comment is not appropriate here...

Oh, one more, I did try a 9.10 32bit release a few weeks ago, and that did work straight out of the box.

Do you think I should report an extra bug for this?

A big THANK YOU for all you who are working so hard to get things going!

Thomas

@Thomas Ulich

This bug is only about ralink (rt2800), and not the ipw2200.

you have to find if exist or open one new bug.

-------------------------------------
Marco Sousa

Elton Woo (elton-woo) wrote :

@ Strange Movement [you said:] kernel 2.6.32-22 was released, has anyone tried it ?

Is this in the Update Manager list? I foolishly installed the first kernel update _from the channel_ once I had Lucid installed. (I had used Ricardo Salvetri's patched kernel to get online). After installing this update and rebooting, it was back to the *same problem* of being asked again and again for the password.

As a test, I installed the 2.6.33-3 kernel and no more connection worries.
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/

This might interest you: http://ubuntuforums.org/showthread.php?p=9203922#post9203922 [#136]

My machine is an ASUS EEE 1000 PC netbook,

Gary M (garym) on 2010-05-10
tags: added: encryption-wpa encryption-wpa2
h1repp (heinz-repp) wrote :

the linked kernel bug has been marked resolved invalid one month ago and the remote watch did not catch it, so do it manually

Changed in linux:
importance: Unknown → Undecided
status: Confirmed → New
status: New → Invalid
h1repp (heinz-repp) wrote :

the linux kernel bug 14750 (https://bugzilla.kernel.org/show_bug.cgi?id=14750), linked from this bug, has been marked resolved invalid on 2010-04-11 with reasoning: "It was the fault of the Kernel package maintainer ..." So its up to Ubuntu kernel team again ...

hackvan (stig-launchpad) wrote :

This bug should have been set as blocking the release of 10.04 netbook remix.

Having my eeepc 1000h "netbook" rendered unable to connect to wifi immediately after a new release of the "netbook remix" of ubuntu reminds me (very very clearly) of why I usually boot into XP on that machine... and why I still haven't switched from fedora on my main linux servers.

shame on the release managers.

PS: as of may 10th, wifi on the asus 1000h is still broken in the ubuntu 10.04 netbook remix, with all updates applied...

Elton Woo (elton-woo) wrote :

@ hackvan: did you try the 2.6.33.3 kernel? That is the one I am currently using:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/

Tragos (kimylatuuhonen) wrote :

@ Elton Woo: The 2.6.33-3 kernel works as a temporary fix. However, finding this information and installing the packages requires extra work from the user. As 10.04 is LTS version - and even has "Netbook Edition" - an official fix would be highly appreciated.

BTW, I didn't find any union mount filesystems implemented in the 2.6.33-3 kernel. With SquashFS, these would make it possible to squeeze the whole OS into the 4 GB SSD drive of my Eeepc 901 (with second SSD mounted as /home). I had this setup in Hardy with UnionFS.

Stephen Tanner (btreecat) wrote :

I found it really easy just to install the updated driver from ralink. Here are my steps thanks to post #25:

First download the new driver from ralink:

http://bit.ly/bpzQRQ

While you still have inter-tubes access, make sure you install build-essential so you can compile the driver

sudo apt-get install build-essential

Next untar it somewhere in your home dir.

edit this file in the folder you just untared ./os/linux/config.mk and make it look like this:
(I found this step necessary. I tested it without these changes and it still fails to connect)

HAS_WPA_SUPPLICANT=y
...
...
HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y

turn off your wifi card

sudo ifconfig <ra0, eth1, wlan0> down

unload the kernel module

sudo rmmod rt2860sta

rename the old module in:
(this is done *just in case* AFAICT)

 /lib/modules/2.6.*/kernel/drivers/staging/rt2860/ from <filename>.ko to <filename>.ko_old

cd into the folder you untared if your not already there

make
sudo make install

sudo depmod -a

now either reboot or load it manually with

sudo modeprobe rt2860sta
sudo ifconfig ra0 up
(my wireless card started out as wlan0 and after the driver update showed up as ra0)

If some one knows a way I can turn this into a dkms package and put it in a ppa, I will gladly do that later this week (after finals)

jgoddard (james-goddard) wrote :

I have to say I'm becoming increasingly irritated with Ubuntu support and starting to have serious doubts about it as a viable platform.

First a major security flaw was left unfixed for the entire 6 months of Karmic, now a bug that essentially disables networking on a major percentage of netbooks is marked as Medium?

You guys have some whacked priorities. This kinda of crap would never fly in a professional product.

Hi,

thank you for instructions.

Driver update has solved the problem for me.

One minor correction to instructions:
- change "sudo apt-get install build-essential" to *"sudo aptitude install
linux-headers-`uname -r` build-essential"*

Br,
Timo

2010/5/11 Stephen Tanner <email address hidden>

> I found it really easy just to install the updated driver from ralink.
> Here are my steps thanks to post #25:
>
> First download the new driver from ralink:
>
> http://bit.ly/bpzQRQ
>
> While you still have inter-tubes access, make sure you install build-
> essential so you can compile the driver
>
> sudo apt-get install build-essential
>
> Next untar it somewhere in your home dir.
>
> edit this file in the folder you just untared ./os/linux/config.mk and
> make it look like this:
> (I found this step necessary. I tested it without these changes and it
> still fails to connect)
>
> HAS_WPA_SUPPLICANT=y
> ...
> ...
> HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y
>
>
> turn off your wifi card
>
> sudo ifconfig <ra0, eth1, wlan0> down
>
> unload the kernel module
>
> sudo rmmod rt2860sta
>
> rename the old module in:
> (this is done *just in case* AFAICT)
>
> /lib/modules/2.6.*/kernel/drivers/staging/rt2860/ from <filename>.ko to
> <filename>.ko_old
>
> cd into the folder you untared if your not already there
>
> make
> sudo make install
>
> sudo depmod -a
>
> now either reboot or load it manually with
>
> sudo modeprobe rt2860sta
> sudo ifconfig ra0 up
> (my wireless card started out as wlan0 and after the driver update showed
> up as ra0)
>
> If some one knows a way I can turn this into a dkms package and put it
> in a ppa, I will gladly do that later this week (after finals)
>
> --
> [lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured
> wireless networks
> https://bugs.launchpad.net/bugs/496093
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Invalid
> Status in Ubuntu Release Notes: New
> Status in “linux” package in Ubuntu: Triaged
> Status in “linux” source package in Lucid: Triaged
>
> Bug description:
> The rt2860sta module, included with Ubuntu Lucid Lynx (10.04) cannot
> connect to mixed WPA/WPA2 networks.
> This driver is used in most EeePCs.
> This issue is fixed in the 2.6.33 kernel, unfortunately this kernel is not
> yet available in Lucid.
>
> Symptoms are: connection works once but disconnects rapidly and then gets
> stuck in a connect/ask password cycle, or cannot connect at all.
>
> There are two known fixes at the moment:
> [1]: Ricardo Salveti maintains a 2.6.32 kernel with the fix backported (See
> comment #80)
> [2]: Installing the official drivers from RaLink also solves the issue for
> some. (See comment #107).
>
> To check if your wireless chipset is indeed the RaLink chipset that is
> affected by this driver, execute the "lspci -vnn | grep RaLink" command.
> It should display something close to the following:
>
> $ lspci -vnn | grep RaLink
> 01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
> Subsystem: RaLink Device [1814:2790]
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/496093/+subscribe
>

Alexia Death (alexiade) wrote :

This bug has bitten me as well. My kid sister has a EeePC 1000h and she of course updated without me around and obviously its my fault for recommending Linux that she cant get to the net now. I bet more than one person supporting a family members netbook is getting the same treatment making this a rather personal issue for many. Please fix it fast because any sort of kernel replacements only last untill next kernel update and then it will break AGAIN for everybody.

CSkau (clementskau-gmail) wrote :

@Alexia:
In your case I might recommend you to use Marco Paulo Martins Sousa's #164 solution.
Go and download one of the proposed (2.6.33+) kernels.
I'm running off of 2.6.34-rc7-lucid this very moment on this eee PC 1000h and I haven't noticed any side effect so far.
This solution should be somewhat stable since future updates - until Canonical releases 2.6.33 - should simply push the kernels underneath the kernel you install. Further more, once they catch up to your version it won't matter for the very reason installing it in the first place works - the bug is fixed in kernels 2.6.33+.

Good luck to you and your sister :)

You can find the kernels here:
2.6.33.3-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/
2.6.34-rc7-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc7-lucid/

frankernet (frankernet) wrote :

(eeepc 1000h) I solved renaming the interface from ra0 to wlan0 ... U_U

regis589 (super-linux) wrote :

Hi,
I've the problem with a D-Link Dongle (DWL-G122 -ralink rt 73 ) on USB port.

When I unprotect the Router, It works fine, but I think it's not the good solution :) .

The temporary " sudo iwconfig wlan0 power off" works, but not at every time ?...

Best regards

Pat Gauthier (patlgauthier) wrote :

EEE PC 1000H with rt2860.

kernel 2.6.33 fixed it so far.

Ricardo's patch worked for a while then it stopped (maybe because i updated something didn't pay enough attention). But new kernel definitely fixed it. Keeping my fingers crossed.

Just checked: The bug is fixed in current ubuntu 10.10 (maverick).
Router set to mixed mode:
TKIP+AES
WPA+WPA2
Tested with Acer Extensa 5630Z.

easytiger (gerry-steele) wrote :

Has this been pushed yet? There is somewhat contradictory information in the bug. The ubuntu netbook edition with all latest updates applied is still broken.

Once again it becomes clear Canonical no longer gives a flying Shuttleworth about its users...

Ian Egland (ian505) wrote :

Same issue here; worked just fine in Karmic
Desktop, Asus P5N-E SLI Motherboard, Intel Q6600 stock, no SDDs, GeForce 8500GT

Wireless Card: Rosewill RNX-G300EX 54M RTL from Newegg

"lspci -vnn | grep RaLink" results
03:06.0 Network controller [0280]: RaLink RT2561/RT61 802.11g PCI [1814:0301]
 Subsystem: RaLink Device [1814:2561]

Gary M (garym) on 2010-05-26
tags: added: regression-release
removed: regression-potential
Gary M (garym) on 2010-05-26
tags: added: i386
Changed in linux (Ubuntu Lucid):
importance: Medium → High
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Changed in linux (Ubuntu Lucid):
assignee: nobody → Chase Douglas (chasedouglas)
Chase Douglas (chasedouglas) wrote :

I've uploaded a test package with the 2.6.34 upstream version of the driver:

http://people.canonical.com/~cndougla/bugs/496093/

Please test it out.

Thanks

h1repp (heinz-repp) wrote :

Thank you for the quick response. Unfortunately your backport did not work on my Asus EeePC 1000H with RaLink RT2860, same symptom as with standard 3.6.32-22 kernel: cannot connect to WPA/WPA mixed. 2.6.33 kernel works, though.

PhilGil (pgilston) wrote :

Thank you for your work so far, Chase. Unfortunately, the test kernel did not work on my 1000H, either.

On Saturday, 5. June 2010, you wrote:
> I've uploaded a test package with the 2.6.34 upstream version of the
> driver:
>
> http://people.canonical.com/~cndougla/bugs/496093/
>
> Please test it out.

I can confirm, that linux-backports-modules-wireless-2.6.32-22-
generic_2.6.32-22.16~rt28x0_i386.deb works perfectly with linux-
image-2.6.32-22-generic. Many thanks!

With kind regards, Jan.
--
Never write mail to <email address hidden>, you have been warned!
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V- PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
------END GEEK CODE BLOCK------

@Chase
Unfortunately this breaks the ad hoc use case (WEP) (just like Bug #584266).

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
h1repp (heinz-repp) wrote :

Jan/cyco: fine it works for you - but which hardware (RaLink rt28?? or other) and which access point (WPA/WPA2 mixed mode or other) did you test? - as it does not work on a ASUS EeePC 1000H with rt2860 and mixed mode AP at least for PhilGil and me.

Wolfgang Kufner: I think this is just a backport of all wireless drivers of 2.6.34, and as such it shares the bugs of those. For this bug, dealing specifically with the broken rt2860 performance on mixed mode networks this seems overkill, but it serves well as a hint if backporting resolves the issue - which it does not, at least not in all cases.

arl (arl) wrote :

I had this problem back, after some updates.
I tried the solution of
>Chase Douglas wrote on 2010-06-04: #202
>I've uploaded a test package with the 2.6.34 upstream version of the driver:

>http://people.canonical.com/~cndougla/bugs/496093/

But this did not work for me.
Then I tried:
>CSkau wrote on 2010-05-12: #194
>@Alexia:
>In your case I might recommend you to use Marco Paulo Martins Sousa's #164 solution.
>Go and download one of the proposed (2.6.33+) kernels.
>I'm running off of 2.6.34-rc7-lucid this very moment on this eee PC 1000h and I haven't noticed any side effect so far.
>This solution should be somewhat stable since future updates - until Canonical releases 2.6.33 - should simply push the >kernels underneath the kernel you install. Further more, once they catch up to your version it won't matter for the very reason >installing it in the first place works - the bug is fixed in kernels 2.6.33+.

>Good luck to you and your sister :)

>You can find the kernels here:
>2.6.33.3-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/
>2.6.34-rc7-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc7-lucid/

I tried 2.6.33.3 and this worked for me.
I hope that during the next upgrade, all will go ok....

Ron Goodman (rg6543) wrote :

Hi

>> I've uploaded a test package with the 2.6.34 upstream version of the driver:

>> http://people.canonical.com/~cndougla/bugs/496093/

>> Please test it out.

>> Thanks

I have installed this package and it certainly seems to fix my Asus Eee PC 1000H wireless problem as reported in https://answers.launchpad.net/ubuntu/+question/113466

Thank you.

Ricardo Salveti (rsalveti) wrote :

@Chase Douglas: tested your package, with the backported driver from 2.6.34 and it seems to be working fine. This fix is included in upstream since 2.6.33, that's the version with the updated driver.

My hardware is an EeePC 1000HE, with following description and code:
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
 Subsystem: RaLink Device [1814:2790]

@Wolfgang Kufner: do you know if the ad hoc use case worked with a previous kernel, like 2.6.32 and/or 2.6.33?

Walter_Wittel (wittelw) wrote :

I kept a partition with lucid hoping this would get fixed but just wiped it and installed maverick Alpha 1 + all updated (through tonight) bringing it to kernel 2.6.34-5. Sadly I still can't connect with either of the WPA2 wireless access points I commonly use.

Does anyone know what (if anything) is different WRT the RT2860 driver in maverick vs. the backports? Seems that the newer kernels (at least in maverick) do not solve my problem.

BTW, both APs work just fine with karmic on the same hardware (eeepc 901).

PhilGil (pgilston) wrote :

Has everyone who is reporting their wireless fixed rebooted more than once? After Chase's kernel failed to fix my wireless issues I decided to try kernel 2.6.33.5-lucid from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.5-lucid/ (which has been reported to work). I was able to log in to my network on the first boot after installing the new kernel, but the wireless log in problem reappeared on subsequent boots. So far, the only solution that has worked for me on every boot is Ricardo's kernel.

@Ricardo
In lucid kernel 2.6.32 is the last one working for ad-hoc WEP (both stock and mainline). Mainline 2.6.33 and 2.6.34 fail with same symptoms. (see Bug 584266)

Joseph (syscon780) wrote :

PhilGil, where is the "Ricardo's kernel"
I'm running Lucid on eeepc 1000 and got screwed up the Lucid update as well.
Have tried different solution but nothing worked.

I have a hidden network and " WPA/WPA2" login doesn't work.

PhilGil (pgilston) wrote :

>Joseph wrote 15 minutes ago:
>PhilGil, where is the "Ricardo's kernel"

Joseph, the link to Ricardo's kernel is in post #80.

>"Ricardo Salveti wrote on 2010-04-17: #80
>
>I'm also maintaining the kernel with the backported patch at http://rsalveti.net/pub/ubuntu/kernel/lucid for those >who want to test it, but it's easier to just install the vendor's driver."

Joseph (syscon780) wrote :

I just tried Ricardo Kernel and it DID NOT work for me.
This is the biggest screw-up I've seen :-( this but is so old and still no fix.
Is there a debian specific distro for eeepc; I had enough of Ubuntu.

Ricardo Salveti (rsalveti) wrote :

@Joseph: what's your hardware id?

Joseph (syscon780) wrote :

How do I find out?
I have eeepc 1000H

Chase Douglas (chasedouglas) wrote :

I think it's helpful to provide some background on this driver, and follow up with what I think is the best solution for now.

Linux drivers fall into two categories: the proper drivers tree and the staging drivers tree. They are both shipped as part of the upstream kernel, and drivers may be found in drivers/ and drivers/staging respectively. For example, Intel wireless drivers are part of the proper drivers tree in drivers/net/wireless/iwlwifi/, while these Realtek drivers are part of drivers/staging/{rt2860,rt2870}.

The difference between a proper driver and a staging driver is the quality of the code. Proper drivers are maintained by the Linux community as a whole, often with help from the vender (but not always). Intel is a great example of this. They employ developers to maintain their wireless, graphics, acpi, and other drivers who work among all the other Linux kernel developers. However, Realtek has a history of not working among upstream Linux kernel developers. They tend to "throw code over the wall", which is to say that they develop the code internally, shove it out the door, and never look back. The drivers are open source, so Greg Kroah-Hartman has worked to pull them into the staging tree. The hope is that the greater Linux developer community will be able to take the Realtek code and fix it up so that it becomes just as good as the proper drivers. If that happens, it will move into the proper drivers tree.

The problem is that Realtek still does not work with the upstream Linux community to help this process. Instead, they develop newer versions of the driver and "throw them over the wall" again. Much of the hard work developers have put in to clean up the previous code is either thrown away or painfully merged into the new code. However, it appears that quality assurance is not being met in these new driver updates from Realtek. New updates may fix previous bugs, but they introduce new bugs. If Realtek were more responsive to the community, we would likely have more stable drivers faster. Until that time, we'll always be caught in a cat and mouse game.

What do we do now? My belief is that the best we can do is leave the driver that exists in 10.04 LTS as is, but bring in a newer version from the 2.6.34 kernel into linux-backports-modules-wireless. This is the package I provided in comment #202. Although it does not fix all issues for everyone, it does help some people. We could backport the 2.6.33 driver, but there's evidence that this does not fix things for everyone either. I have read the changelog between 2.6.33 and 2.6.34, and it appears that 2.6.34 should be the same as 2.6.33 with a bunch of fixes applied.

If you are feeling adventurous, you can also try to change your wireless card. If it's a USB card, that's easiest :). If it's a mini-pci card, you can still change it, but you have to crack open your laptop to do so... Or you can get a USB dongle and use it instead. I'm not suggesting anyone do this, but it is an option. Intel and Atheros cards tend to work the best in Linux.

Ricardo Salveti (rsalveti) wrote :

@Chase Douglas: I also believe that bringing the newer version from 2.6.34 into linux-backports-modules-wireless is the best option. We saw from this bug that none of the solutions actually fixed most of the bugs reported, so it's hard to select the best option.

Even the upstream code is in a dedicated situation. The community sent many new patches to the driver already, but the vendor also released a newer version, so currently we have more than one development branch for it.

Hopefully the upstream one will get better and usable for everyone, but no one can guaranty the correct support for this chip at the moment.

Changed in linux (Ubuntu Lucid):
status: Triaged → Won't Fix
Changed in linux-backports-modules-2.6.32 (Ubuntu):
status: New → Invalid
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: New → In Progress
assignee: nobody → Chase Douglas (chasedouglas)
importance: Undecided → High
Changed in linux (Ubuntu Lucid):
assignee: Chase Douglas (chasedouglas) → nobody
description: updated

Accepted linux-backports-modules-2.6.32 into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in linux-backports-modules-2.6.32 (Ubuntu):
status: Invalid → Fix Released
status: Fix Released → Invalid
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2010-06-14
Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: Fix Released → Fix Committed

Work's fine in my Asus 1000HE

Martin Pitt (pitti) on 2010-06-15
tags: added: verification-done
removed: verification-needed

Is it enough to simply install linux-backports-modules-2.6.32? Or do I have to blacklist the original module(s)?

@MasterX I just install, reboot and it worked..

@MasterX, you have to reboot and boot within the 2.6.32 kernel

I installed "linux-backports-modules-wireless-lucid-generic" version 2.6.32.23.24 and rebooted. "modinfo rt2860sta" is reporting, that I use the new driver (version 2.1.0.0). So installation seems successful. Now I will have to test the connection extensively.

And I already found a quirk: The new driver doesn't support wireless "n" on my eeePC 1000h. Max. speed is 54 Mb/s. :-(
The correct configuration file ( /etc/Wireless/RT2860STA/RT2860STA.dat ) is existing.

Mass-Yas (massyas) wrote :

I have tried to install linux-backports-modules-wireless-lucid-generic package from proposed repository and all others ubuntu updates.
I have rebooted my eeePC 901 with this kernel version 2.6.32-23-generic and module rt2860sta version 2.1.0.0 is loaded.
I still cannot connect to my wireless router with WPA2 TKIP+AES.
I have this kind of traces in dmesg : wlan0: directprobe to 00:1a:xx:xx:xx:xx (try 1) ... (try 2) ... (try 3) and finally timed out
Connection worked well with rsalveti 2.6.32-21 kernel.
Did I miss something ?

Ricardo Salveti (rsalveti) wrote :

Tested at my EeePC 1000 HE and it seems to be working fine.

My card:
$ lspci -vnn | grep RaLink
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
 Subsystem: RaLink Device [1814:2790]

For me the backports do not fix the issue. I get dropped out after a few minutes online. Restart is necessary to get back online. Same issue like before.

nucleuskore (doctorjohn2) wrote :

I did a fresh install on my eeepc 1000H, apt-get update and upgrade, enabled proposed updates, apt-get update and upgrade, installed backports wireless, but no luck. It will not connect to my WPA2 AES encrypted netork. I opened synaptic and made sure that there were no ! marks or any signs of updates available.

JM Barbier (jm-barbier) wrote :

Just installed the backport "linux-backports-modules-wireless-lucid-generic" and rebooted my EeePC 1000HE with different router configurations (WPA-PSK [TKIP] / WPA2-PSK [AES] / WPA-PSK [TKIP] + WPA2-PSK [AES]) , and none works now (WPA-PSK [TKIP] worked well before). I have the same traces as #227 (wlan0: directprobe to 00:1a:xx:xx:xx:xx (try 1) ... (try 2) ... (try 3) and finally timed out), and the three modes worked well with rsalveti 2.6.32-21 kernel...

My card :
$ lspci -vnn | grep RaLink
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
 Subsystem: RaLink Device [1814:2790]

module rt2860sta is version 2.1.0.0

There is no /etc/Wireless/RT2860STA/RT2860STA.dat file (no manual installation...)

so the problem is now worse : no wireless at all... with previouse kernel, WPA-PSK[TKIP] worked...

going back to rsalveti 2.6.32-21 kernel and everything is OK, even WPA-PSK [TKIP] + WPA2-PSK [AES]

so i think the problem is not fixed...

Updating drivers ad described in comment #190 works perfectly with eee 901, and it fix also the wifi-n-connectivity bug (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/442178)

nucleuskore (doctorjohn2) wrote :

eeepc 1000h. I installed both these kernels
2.6.33.3-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/
2.6.34-rc7-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc7-lucid/

Neither of them work for me :(

Using an eeePC 901.

It' OK on a fresh lucid install after adding /lucid-proposed backport wireless module.

nucleuskore (doctorjohn2) wrote :

As I understand, I install the kernel and reboot the system, selecting the correct kernel from grub to boot with.

I have tried

2.6.33.3-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.33.3-lucid/
2.6.34-rc7-lucid: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc7-lucid/
and the rsalveti kernel

none of these make my wireless work on my WPA2 AES encrypted network. I am sure of my wireless card. It works with ndiswrapper and I have reported this on http://ndiswrapper.sourceforge.net and ubuntuforums.org

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-backports-modules-2.6.32 - 2.6.32-23.16

---------------
linux-backports-modules-2.6.32 (2.6.32-23.16) lucid-proposed; urgency=low

  [ Chase Douglas ]

  * Add in staging rt28x0 drivers from 2.6.34
    - LP: #496093
  * Added iwlwifi 6050 series firmware
    - LP: #532451
  * Don't munge iwlwifi firmware filenames anymore
    - LP: #591822
 -- Stefan Bader <email address hidden> Mon, 14 Jun 2010 10:31:02 +0200

Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
status: Fix Committed → Fix Released
h1repp (heinz-repp) wrote :

I can confirm that after today's updates to kernel 2.6.32-23 and linux-backports-modules-wireless 2.6.32-23 for the first time my ASUS EeePC 1000H with RaLink RT2860 works with the .32 kernel and mixed mode WPA/WPA2 - still 54 mbit and no 'n' connection, though, but that was not possible with all other workarounds too. So, from my point of view this bug can be closed. Verifying ...

Thank you, Chase.

nucleuskore (doctorjohn2) wrote :

The kernel I have 2.6.32-23.37
and linux-backports-modules-wireless-2.6.32-23.16

I have a wireless network at home with SSID hidden, WPA2-PSK, AES, key interval 3600 and cannot connect.

However, I can connect to my neighbour'ss wireless network which I help set up -> SSID visible, WPA2-PSK, AES, key interval 3600 and can connect and is stable !

nucleuskore (doctorjohn2) wrote :

I have Ubuntu 9.10 on the same eeepc 1000H running on 2.6.31-22.60 and linux-backports-modules-wireless-karmic-generic 2.6.31.22.35 working without any issues on both the above wireless networks

Robb Romans (robb-txstate) wrote :

I have the exact same situation and issue as described in comment #227. Asus eeePC 1000. Not working for me.

Elton Woo (elton-woo) wrote :

@ Robb Romans:
I have an Asus eee 1000 PC, *no hardware modifications*, so it should be the same as your machine. I manually installed Lucid Lynx as posted in the ubuntu forums:
http://ubuntuforums.org/showthread.p...22#post9203922 [#136] ... perhaps this might help you?
I never installed the RaLink drivers, and after the system was running for a week or so, I replaced the salvetri kernel with the newer one.
I am now running the current and most recent kernel from the channel. NO connection problems.

Johannes F. (waaaaargh) on 2010-07-04
Changed in ubuntu-release-notes:
status: New → Fix Released
robod (robert-dobozy) wrote :

Hi there,

This is just to confirm that this issue still doesn't seem to be resolved (unless I've missed something).

$lspci -vnn | grep RaLink
02:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
 Subsystem: RaLink Device [1814:2790]

$ dpkg -l |grep backport
ii linux-backports-modules-wireless-2.6.32-23-generic 2.6.32-23.16 compat-wireless Linux modules for version 2.
ii linux-backports-modules-wireless-lucid-generic 2.6.32.23.24 Backported wireless drivers for generic kern

$ lsmod |grep rt2860
rt2860sta 498817 1
crc_ccitt 1339 2 rt2800pci,rt2860sta

$ modinfo rt2860sta
filename: /lib/modules/2.6.32-23-generic/updates/staging/rt2860sta.ko
version: 2.1.0.0
[snip]

$tail -f /var/log/messages
Jul 5 00:07:50 robonb1 kernel: [ 1290.154100] ===>rt_ioctl_giwscan. 2(2) BSS returned, data->length = 270
Jul 5 00:08:50 robonb1 kernel: [ 1350.154230] ===>rt_ioctl_giwscan. 2(2) BSS returned, data->length = 270

I believe that the symptoms above are in-line with what was already mentioned. It seems that the RT driver 2.1.0.0 included in the backport modules still doesn't work properly.

I'm using WPA/WPA2 with hidden SSID.

Hope this helps ...

Steve Langasek (vorlon) on 2010-07-05
Changed in ubuntu-release-notes:
status: Fix Released → New
nucleuskore (doctorjohn2) wrote :

I did a fresh install and would like to verify that the new backport wireless package has fixed my problem.

Security WPA2-PSK
SSID hidden
Encryption AES
Key Interval 3600 seconds

Kyle Fazzari (kyle.f) wrote :

Can anyone verify that a fresh (yet updated) install now works with the backported wireless package for an eee 901? This has been the only issue holding me back from installing it.

description: updated
Kyle Fazzari (kyle.f) wrote :

Alright-- I decided to grow up, be a man, and try this for myself. I can verify that the backported driver, installed as given in the description, fixes this problem for the eee 901 (fresh install, fully updated). I still don't have N... but I didn't have N in previous releases, either.

sokai (sokai) wrote :

Hi there,

I also have the problems like Mass-Yas wrote in #227 - can't connect after "wlan0: direct probe to 00:1a:2a:41:13:fc (try 1)", "wlan0: direct probe to 00:1a:2a:41:13:fc (try 2)", "wlan0: direct probe to 00:1a:2a:41:13:fc (try 3)" and "wlan0: direct probe to 00:1a:2a:41:13:fc timed out".

Hardware: ASUS eeePC 1000

$ lspci -vnn | grep RaLink
01:00.0 Network controller [0280]: RaLink RT2860 [1814:0781]
        Subsystem: RaLink Device [1814:2790]

$ uname -a
Linux axolotl 2.6.32-24-generic #38-Ubuntu SMP Mon Jul 5 09:22:14 UTC 2010 i686 GNU/Linux

$ dpkg -l |grep backport
ii linux-backports-modules-wireless-2.6.32-24-generic 2.6.32-24.17 compat-wireless Linux modules for version 2.
ii linux-backports-modules-wireless-lucid-generic 2.6.32.24.25 Backported wireless drivers for generic kern

$ modinfo rt2860sta
filename: /lib/modules/2.6.32-24-generic/updates/staging/rt2860sta.ko
version: 2.1.0.0
alias: rt3090sta
license: GPL
description: RT2860/RT3090 Wireless Lan Linux Driver
author: Jett Chen <email address hidden>
firmware: rt3090.bin
firmware: rt2860.bin
srcversion: F46A8C05E7D08B926C958B2
[snip]
vermagic: 2.6.32-24-generic SMP mod_unload modversions 586
parm: mac:rt28xx: wireless mac addr (charp)

$ lsmod |grep rt2
rt2860sta 498817 0
rt2800pci 8495 0
rt2800lib 23668 1 rt2800pci
rt2x00usb 9694 1 rt2800lib
rt2x00pci 5921 1 rt2800pci
rt2x00lib 26858 4 rt2800pci,rt2800lib,rt2x00usb,rt2x00pci
crc_ccitt 1339 2 rt2860sta,rt2800pci
led_class 2864 1 rt2x00lib
mac80211 225171 3 rt2x00usb,rt2x00pci,rt2x00lib
cfg80211 144682 2 rt2x00lib,mac80211
compat_firmware_class 6554 1 rt2x00lib
eeprom_93cx6 1333 1 rt2800pci

$ iwlist wlan0 scan
wlan0 Scan completed :
          Cell 01 - Address: 00:1A:2A:41:13:FC
                    Channel:1
                    Frequency:2.412 GHz (Channel 1)
                    Quality=70/70 Signal level=27 dBm
                    Encryption key:on
                    ESSID:"xyz.abc"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s
                    Bit Rates:24 Mb/s; 36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
[snip]
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : TKIP CCMP
                        Authentication Suites (1) : PSK
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : TKIP CCMP
                        Authentication Suites (1) : PSK
[snip]

Please give me/us a solution for this _annoying_ bug!

Hint(?):
At first I booted up normaly and installed the backport modules. After that and _without_ rebooting I _could_ connect to the net listed above (WPA+TKIP). After teh reboot I got the messages like Mass-Yas...

After installing backported modules my wireless connection works like a charm on my Asus Eee PC1000. Thanks!

sokai (sokai) wrote :

@Roman Vorobets (#247):
Hi Roman!
What does your comment mean? - Which Kernel do you have installed? Which Ubuntu version are you using? Have you a fresh or upgraded installation? Which network encryption type "works like a char" now?

ATM I'm looking for a real _solution_ cause I tried a lot of things (only "tips") out there (forums, launchpad bugs, launchpad answers,...) and nothing worked. :(

Best regards and thanks!

Walter_Wittel (wittelw) wrote :

FWIW I've been running Alphas of Maverick on an SD card (Eeepc 901) for the last month or so with great success connecting to two different WPA routers that I never got running on Lucid. Note that I have a Karmic partition that still works great as a backup, but you might want to just consider jumping ahead to Maverick to fix the problem. You could always try a LiveCD on a flash drive first to see if it would work for you.

sokai (sokai) wrote :

@Walter_Wittel (#249):
Thanks Walter for that hint! I tried a Maverick LiveCD and could connect to the network...

But now:
How can I make my Lucid to connect, too!?

Best regards!

Walter_Wittel (wittelw) wrote :

Sokai, sorry I have been busier at work and home than very early in this thread and have not had time to even try. That's why I had stuck with Karmic until Maverick came along. But from my past experience it is fairly difficult to make this work and it will break every time there is a Kernel update to Lucid until what ever fix went into Karmic or Maverick (likely different fixes) goes into the upstream Kernel.

If you really want to make it work on Lucid I guess you will have to just walk backwards on this thread and start trying anything where someone reported success. It is a bit of a moving target so the suggestions early on in the bug likely don't apply any more. Good luck.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On Tue, 03 Aug 2010 11:06:44 -0000, sokai wrote:

>@Walter_Wittel (#249):
>Thanks Walter for that hint! I tried a Maverick LiveCD and could connect to the network...
>
>But now:
>How can I make my Lucid to connect, too!?
>
>Best regards!
>
>--
>[lucid] rt2860 frequently fails to connect to mixed mode WPA/WPA2 secured wireless networks
>https://bugs.launchpad.net/bugs/496093
>You received this bug notification because you are a direct subscriber
>of the bug.
>

Running the Maverick kernel from ppa:kernel-ppa/ppa in Lucid works a
treat. This installs rt2800pci (vice rt2860) and works (for me, eeepc
901) with both mixed mode and hidden ESSIDs.

- -jh

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMXGpCAAoJENfuMNsHzpexyewP/R/+ePAnusvQSzUsH2XRM+G9
/fnxl7XVZwPN8h6U5WK31fyWBnkd05UWipTOALpEpgq6rZ5ZxmVHXPZf7Q767vpK
kxsvr9kR9CLMsy5T3viLEQMUFdTZnvob6+h+NsQOmAeDr97H76CKm4KmuAkprKZi
5Rpj2GpsQoRXsJc3jcDGpABdstYTI5Qt1lPsnffentQY27L8KcK1QUyc4MhI5/FQ
oXuk1RVoJTIzg347EBe2XWEKdH6b/lRlX86ln2sEQ0TKj7j98jcECVIFKfVMpExI
99q+qOAdb9MKUHb9XYDu0IDIivdhyWH2VLnSXSr8l8UqGPYJ8HJ+n8XvN6Qa0G1m
hKT8Y7y5IgnB13BbPuKIhu6D1goLJpkWUqqRIVqvpsc+ax6cYf80zy5C4ULA28gM
zkfXBQnPYKwHhG1zmW2Z89uzOfq+7V5wgpZKBABIfniY+CeJTstK2j5iSd6BjVUw
+jkw2A5X2dD+ypyzDPFXqx96KO14OrsPciZthz//r23OE9avOs6lJ1/SanChDqRE
WREuIOO6weEUL4hiisixU26cJFdhQ0yTepzf2UL4G32Fa+KK0Qp+u0IfSrc0ezzT
BJq4W29LFWmB1eXK3z0qMgeBHGsPsvsHZDfMpN+qWm7jjU3v1BwiZ+D0ovo3gqUY
J3bYubSCxS0aeaZL7YdU
=f/G/
-----END PGP SIGNATURE-----

Matej Kovacic (matej-kovacic) wrote :

Hmm, I have Lucid installed, with kernel 2.6.32-24-generic, but it doesn't working.

Any idea?

Matej Kovacic (matej-kovacic) wrote :

Sorry, after reboot it is working, but very slow, and connection is breaking.

Kyle Uhlmeyer (kyle-uhlmeyer) wrote :

I can confirm that installing Linux Kernel 2.6.32-24 breaks wireless again in Lucid. I had to reload the driver manually and it works again.

This is starting to get really annoying.

OS/2-User (fzf7a2c02) wrote :

I was under the impression, that the rt2870sta mess, preventing an USB WiFi adapter to connect to a WPA2 protected access point, which was introduced in Lucid, has been sorted out by now and should have been fixed in 10.04.1 Desktop Live-CD.
But for me, it is still not working, keeping Lucid useless.
Btw, both drivers, rt2870sta and rt2800usb are still being loaded simultaneously, as initially reported i.e. for Karmic in Bug #460323. Unloading rt2800usb however does not help in case of 10.04.1 to connect.

It was a week or two ago now but I upgraded my eeePC 901 to Maverick (via update-manager -d) and the wireless works well now (it did break GRUB, but I recovered using an Ubuntu server CD which I happened to have lying around). Previously I had problems were my other laptop (Dell 1557) would loose wireless connection if I switched on the 901 but that all seems fine now. Can't seem to get Ubuntu One working in Maverick, that could just be me perhaps. I'm not actually recommending Maverick as such, just relaying my experience from the perspective of this problem.

OS/2-User (fzf7a2c02) wrote :

@Mark: Thanks for sharing your experience. During the last 2 week or so I gave some daily Mavericks, installed on an USB stick via usb-crator-gtk, a try, but here I still pretty much had a no go, when it comes to WiFi and my RT2870 based 802.11n USB adapter.
Usually I'm just stuck in the evil and vicious "Authentication required by wireless network" cycle, from which I just can't break free.

But it looks like, that the latest over-sized build with kernel 2.6.35-19-generic from 2 or 3 days, now finally seems to be working again with my WiFi adapter, once I 'modprobe -r rt2800usb' one of the two competing USB-adapter drivers rt2870sta and rt2800usb, using the methods, that started to become so crucial with Karmic. I'm now connected since some 30 minutes straight, a new record since Karmic.

This nuisance, where both wireless USB drivers are getting loaded, was first introduced with Karmic and still hasn't been fixed. I wonder if that ever will still happen. 365 days, 2 Lucid releases and an almost Maverick one should have been plenty of time for that, one would think.

Right now I am d/l'ing the latest, now again correctly sized 10.10 Daily Build ISO file - the Beta release date seems to be getting close - to then update my USB stick, which btw. has to be done with Maverick's usb-creator-gtk version. The one being part of Karmic fails to boot from the stick's logical partitions.
Then I just hope, that the rt2870 nightmare after some 8 months now, eventually has really come to an end - at least until they break something new, that is ;-)

h1repp (heinz-repp) wrote :

Unfortunately, the kernel update to 2.6.32-25 again broke wireless connectivity of my EeePC 1000H with our WPA/WPA2 mixed mode 802.11n network.

Up to linux-image-2.6.32-24-generic 2.6.32-24.43
and linux-backports-modules-wireless-2.6.32-24-generic 2.6.32-24.17
it worked,

but with linux-image-2.6.32-25-generic 2.6.32-25.44
and linux-backports-modules-wireless-lucid-generic 2.6.32.25.27
I experience the endless authentication failure loop again.

h1repp (heinz-repp) wrote :

additional hint: 'lsmod | grep rt28' output differs, the differences are:
2.6.32-24:
rt2860sta 498817 1
crc_ccitt 1339 2 rt2800pci,rt2860sta
2.6.32-25
rt2860sta 498817 0
crc_ccitt 1339 2 rt2860sta,rt2800pci

meaning the rt2860sta driver on the 2.6.32-25 kernel is loaded but not used?

h1repp, this sounds like the bug 589342. Try blacklisting rt2800pci.

Jonathan Davies (jpds) wrote :

Marking as invalid as this appears to be fixed in Lucid updates.

Changed in ubuntu-release-notes:
status: New → Invalid
eric wang (eric-wang-china) wrote :

The problem is still there on my laptop Thinkpad T400 with ubuntu 10.04(Lucid)

towerlexa (towerlexa) wrote :

I have also still the same problem with the endless authentication loop. I also tried the linux-backports-modules-wireless-lucid-generic Package, but it don't work for me on my eeepc 1000HE with rt2760sta.
I'am using the kernel from the latest updates Linux 2.6.32-27-generic 32 Bit.
Maybe it helps

weeix (weeaix) wrote :

I'm using Lucid in EeePC 1000H

- I recompiled the driver using method in http://ubuntuforums.org/showthread.php?t=1476007
- Today, I updated the kernel to 2.6.32-29
- Wireless fails again
- I have to recompile again
- This is bad
- Really, this is very bad :(

Changed in linux-backports-modules-2.6.32 (Ubuntu Lucid):
assignee: Chase Douglas (chasedouglas) → nobody
sokai (sokai) wrote :

Hi there!
Maybe it's a solution for you - like me - to install the backported wireless modules ("linux-backports-modules-wireless-lucid-generic") and blacklist the "rt2860sta" module (sudo echo "blacklist rt2860sta" >> /etc/modprobe.d/blacklist.conf). After that my wifi is very stable by using the modules rt2800lib, rt2800pci, rt2800lib and rt2x00pci.
I have a ASUS Eee PC 1000 with a "RaLink RT2860" wifi chip and use Ubuntu Maverick with kernel 2.6.35-28-generic.

Cheers!

jbatista (jmnbatista) wrote :

Dear all,

I've long tried to get my RT2860 to successfully connect to encrypted wireless networks with a EeePC 1000H on Lucid Lynx (i386), without success. I'm posting here a solution based on http://ubuntuforums.org/showpost.php?p=9255730&postcount=1 After compiling and installing the rt2860sta.ko kernel module I was still unable to establish a connection with the Network Manager or doing it manually on a terminal.

I've posted my experience here: http://ubuntuforums.org/showpost.php?p=10775056&postcount=140 I hope it helps others. Basically, I configure "ra0" with a few "iwpriv", instead of using "wlan0".
I'll keep looking to find out whether it's possible to coherce Network Manager to connect, but so far I've come out empty-handed. The solution on the last link at least got me to connect with the wireless AP.

Happy Cinco de Mayo! :-)

MrHaroldA (mrharolda) wrote :

> EeePC 1000H on Lucid Lynx (i386)

Nothing a release-upgrade can't fix. I haven't got any real wireless problems since I upgraded to 10.10 apart from the fact that the network sometimes doesn't connect after a standby. Dis- and enabeling the wifi fixes this too.

$ sudo do-release-upgrade

Walter_Wittel (wittelw) wrote :

I am occasionally having to disable/ enable after sleep on 11.04 also (a
bit more noticeable than on

On May 6, 2011 12:51 AM, "MrHaroldA" <email address hidden> wrote:

> EeePC 1000H on Lucid Lynx (i386)
Nothing a release-upgrade can't fix. I haven't got any real wireless
problems since I upgraded to 10.10 apart from the fact that the network
sometimes doesn't connect after a standby. Dis- and enabeling the wifi
fixes this too.

$ sudo do-release-upgrade

--
You received this bug notification because you are a direct subscriber
of the bug.
https://bugs...

Walter_Wittel (wittelw) wrote :

... (sorry, bus bounced send) ... on 10.10, but both have been usable.

On May 6, 2011 6:34 AM, "Walter Wittel" <email address hidden> wrote:

I am occasionally having to disable/ enable after sleep on 11.04 also (a
bit more noticeable than on

>
> On May 6, 2011 12:51 AM, "MrHaroldA" <email address hidden> wrote:
>
> > EeePC 1000H on Lu...

>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
https://bugs...

Gary Helbig (ghelbig) wrote :

Near as I can tell it is still broken in ubuntu 10 LTS with all current updates

Igor S. Pelykh (kesha) wrote :

Yes, I can tell it too.
I have asus eee 1000h with this wireless-card, just install 10 LTS+updates and can not connect to router with WPA2.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.